<?php
include("head.php");
include("header.php");
include("payment_function.php");

if(isset($_GET['user_id']) && $_GET['user_id'] !='')
{
$user_id = mysqli_real_escape_string($con, $_GET['user_id']);
$qry =  "SELECT * FROM `users` WHERE id='$user_id'";
$user_details = mysqli_query($con, $qry);
}


if (isset($_POST['edit_vendor'])) {
           
            $user_id = mysqli_real_escape_string($con, $_POST['user_id']);
            $vendor_code = mysqli_real_escape_string($con, $_POST['vendor_code']);
            $vendor_name = mysqli_real_escape_string($con, $_POST['vendor_name']);
            $vendor_contact_email = mysqli_real_escape_string($con, $_POST['vendor_contact_email']);
            $vendor_contact_num = mysqli_real_escape_string($con, $_POST['vendor_contact_num']);
            $account_name = mysqli_real_escape_string($con, $_POST['account_name']);
            $account_number = mysqli_real_escape_string($con, $_POST['account_number']);
            $ifsc_code = mysqli_real_escape_string($con, $_POST['ifsc_code']);
            $bank_name = mysqli_real_escape_string($con, $_POST['bank_name']);
            $upi_id = mysqli_real_escape_string($con, $_POST['upi_id']);
			
			
			
			$parameters = array(
					 'api_key' => $payment_api_key,
					'vendor_code' => $vendor_code,
					'vendor_name' => $vendor_name,
					'vendor_contact_email' => $vendor_contact_email,
					'vendor_contact_num' => $vendor_contact_num,
					'account_name' => $account_name,
					'account_number' => $account_number,
					'ifsc_code' => $ifsc_code,
					'bank_name' => $bank_name,
					'upi_id' => $upi_id
			);
			
			
			$hash  = generateHashKey($parameters,$payment_salt);
								
								
			$url="https://biz.aggrepaypayments.com/v2/modifyvendor";
			$postData = array(
					'api_key' => $payment_api_key,
					'vendor_code' => $vendor_code,
					'vendor_name' => $vendor_name,
					'vendor_contact_email' => $vendor_contact_email,
					'vendor_contact_num' => $vendor_contact_num,
					'account_name' => $account_name,
					'account_number' => $account_number,
					'ifsc_code' => $ifsc_code,
					'bank_name' => $bank_name,
					'upi_id' => $upi_id,
					'hash' => $hash
					);
			$paramArr['url'] = $url;
			$paramArr['postData'] = $postData;
			$api_response  = sendRequest1($paramArr);
								
			$response_data = json_decode($api_response);
			
			$account_id = $response_data->data->account_id;
			$code  = $response_data->data->code;
            
			if($code == 'SUCCESS')
			{
				echo "<script>alert('Vendor Modified Success');</script>";
				echo "<script>window.location = 'user_manage_admin.php?success_alert1&user_id=".$user_id."';</script>";
			}else{
				echo "<script>alert('Failed. Try again.');</script>";
				//echo $api_response;
				//echo "<script>window.location = 'add_vendor.php?success_alert1&user_id=".$user_id."';</script>";
			}

            
                
            


            
    
}


while($row = mysqli_fetch_array($user_details)){

?>

<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h4 class="page-header"> Update Vendor Details</h4>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
  
                
                <div class="col-lg-6">
                                    <form role="form" method="POST" action="" >
									
									
									<?php if($api_response !=''){?>

                                      <div class="form-group col-lg-12">
                                            <p style="color:red;font-size:12px;"> <?php echo $api_response;?> </p>
                                      </div>
									<?php } ?>
									  
									  <div class="form-group col-lg-12">
                                            <label>vendor_name</label>
                                            <input type="hidden" name="user_id" value="<?php echo $row['id'];?>" autocomplete="off" required>
											<input type="hidden" name="vendor_code" value="<?php echo $row['id'];?>" autocomplete="off" required>
                                            <input class="form-control" name="vendor_name" value="<?php echo $row['name'];?>" autocomplete="off" required>
                                        </div>
                                        
										
										<div class="form-group col-lg-12">
                                            <label>vendor_contact_email</label>
                                            <input class="form-control" name="vendor_contact_email" value="<?php echo 'info@matkabooking.com';?>" autocomplete="off" required>
                                        </div>
										
										<div class="form-group col-lg-12">
                                            <label>vendor_contact_num</label>
                                            <input class="form-control" name="vendor_contact_num" value="<?php echo $row['mobile'];?>" autocomplete="off" required>
                                        </div>
										
										<div class="form-group col-lg-12">
                                            <label>account_name</label>
                                            <input class="form-control" name="account_name" value="<?php echo $row['account_holder_name'];?>" autocomplete="off" >
                                        </div>
										
										<div class="form-group col-lg-12">
                                            <label>account_number</label>
                                            <input class="form-control" name="account_number" value="<?php echo $row['account_number'];?>" autocomplete="off" >
                                        </div>
										
										<div class="form-group col-lg-12">
                                            <label>ifsc_code</label>
                                            <input class="form-control" name="ifsc_code" value="<?php echo $row['ifsc'];?>" autocomplete="off" >
                                        </div>
										
										<div class="form-group col-lg-12">
                                            <label>bank_name</label>
                                            <input class="form-control" name="bank_name" value="<?php echo $row['bank_name'];?>" autocomplete="off" >
                                        </div>
										
										<div class="form-group col-lg-12">
                                            <label>upi_id</label>
                                            <input class="form-control" name="upi_id" value="<?php echo $row['upi'];?>" autocomplete="off" >
                                        </div>
                                        
									 <div style="clear:both">&nbsp;</div>
									
                                        <div class="form-group col-lg-12">
                                        <button type="submit" name="edit_vendor" class="btn btn-default">Update Vendor</button>
                                        </div>
	
								
                                </div>
               
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->
        
<?php
}
include("footer.php");
?>