<?php
include("head.php");
include("header.php");
include("payment_function.php");


if(isset($_POST['add_deposit'])) {
           
            $user_id = mysqli_real_escape_string($con, $_POST['user_id']);
            $amount = mysqli_real_escape_string($con, $_POST['amount']);
            $remark = mysqli_real_escape_string($con, $_POST['remark']);
            $type = mysqli_real_escape_string($con, $_POST['type']);
            
                	
			$merchant_reference_number = 'Ref-MB-'.$user_id.'-'.rand();
			$vendor_code = $user_id;
			$parameters = array(
					 'api_key' => $payment_api_key,
					'merchant_reference_number' => $merchant_reference_number,
					'amount' => $amount,
					'vendor_code' => $vendor_code
			);
			
			
			$hash  = generateHashKey($parameters,$payment_salt);
								
								
			$url="https://biz.Aggrepay.in/v2/fundtransfer";
			$postData = array(
					'api_key' => $payment_api_key,
					'merchant_reference_number' => $merchant_reference_number,
					'amount' => $amount,
					'vendor_code' => $vendor_code,
					'hash' => $hash
					);
			$paramArr['url'] = $url;
			$paramArr['postData'] = $postData;
			$api_response  = sendRequest1($paramArr);
			
			print_r($paramArr);
			die();
								
			$response_data = json_decode($api_response);
			
			$status  = $response_data->data->status;
			$transaction_id  = $response_data->data->transaction_id;
            $remark =$remark.'-'.$transaction_id;
			
			if($status == 'PROCESSING')
			{
			
			$balance = get_lastBalance($user_id);
    	    $new_balance = $balance - $amount;
    	    UpdateBalanceInUserTable($user_id,$new_balance);
    	    $date = date('Y-m-d');
            $time=date('h:i:m A');
    		$sql13 = "INSERT INTO user_transaction(user_id,title,game_id,game_type,digit,date,time,amount,type,debit_credit,bid_id,balance,remark)
                    VALUES('$user_id','Debited By Admin','','deposit', '','$date','$time','$amount','deposit','debit','$id','$new_balance','$remark')";

                $res = mysqli_query($con, $sql13);
                
                //echo("<br>Error description: " . mysqli_error($con));
                $last_id = mysqli_insert_id($con);
				
				
				echo "<script>alert('Payment Request Sent to Payment Gateway');</script>";
				echo "<script>window.location = 'payout.php?success_alert1&user_id=".$user_id."';</script>";
			}else{
				echo "<script>alert('Failed. Try again.');</script>";
				//echo $api_response;
				//echo "<script>window.location = 'add_vendor.php?success_alert1&user_id=".$user_id."';</script>";
			}
			


            
    
}


?>

<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
				<?php $user_id = mysqli_real_escape_string($con, $_GET['user_id']);?>
                    <h4 class="page-header"> Send Money to Vendor - <?php echo get_userNameById($user_id);?> (<?php echo get_userMobileById($user_id);?>)</h4>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                
                <div class="col-lg-6">
                                    <form role="form" method="POST" action="" >
									
									<?php if($api_response !=''){?>

                                      <div class="form-group col-lg-12">
                                            <p style="color:red;font-size:12px;"> <?php echo $api_response;?> </p>
                                      </div>
									<?php } ?>

                                      <div class="form-group col-lg-12">
                                            <label>Amount</label>
                                            <input type="hidden" name="user_id" value="<?php echo mysqli_real_escape_string($con, $_GET['user_id']);?>" autocomplete="off" required>
                                            <input class="form-control" name="amount" value="" autocomplete="off" required>
											<input type="hidden" name="type" value="debit" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-12">
                                            <label>Remark</label>
                                            <input class="form-control" name="remark" value="Send By Admin Via Payment Gateway" autocomplete="off">
                                        </div>

                                        
									 <div style="clear:both">&nbsp;</div>
									
                                        <div class="form-group col-lg-12">
                                        <button type="submit" name="add_deposit" class="btn btn-default">Send Money</button>
                                        </div>
	
								
                                </div>
               
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->
        
<?php
include("footer.php");
?>