<?php
include("head.php");
include("header.php");

if(isset($_GET['del_id'])){
    $id = htmlspecialchars(mysqli_real_escape_string($con, $_GET['del_id'])); 


$qry =  "DELETE FROM notification WHERE id='".$id."'";
    mysqli_query($con,$qry);
    mysqli_close($con);
    echo "<script>window.location = 'push_notification.php?success_alert2';</script>";
}

if(isset($_GET['delete_all'])){
    $id = mysqli_real_escape_string($con, $_GET['del_id']); 


$qry =  "DELETE FROM notification WHERE 1";
    mysqli_query($con,$qry);
    mysqli_close($con);
    echo "<script>window.location = 'push_notification.php?success_alert2';</script>";
}

if (isset($_POST['send_notification'])) {
           
            $title = htmlspecialchars(mysqli_real_escape_string($con, $_POST['title']));
            $description = htmlspecialchars(mysqli_real_escape_string($con, $_POST['description']));
			$game_id = htmlspecialchars(mysqli_real_escape_string($con, $_POST['game_id']));

            $date = date('Y-m-d');
            $time = date('h:i A');
            

            $sql = "INSERT INTO notification(title, description, date, time)
                VALUES('$title', '$description', '$date', '$time')";
                $res = mysqli_query($con, $sql);
                $last_id = mysqli_insert_id($con);
                
                $url = $home_url.'notifications.php?id='.$last_id;
			if($game_id ==0){
				$redirection = 0;
			}else{
				$redirection = 1;
			}

            $data = array(
                "to" => "/topics/main_notification", 
                "priority"=> "high",
                "data" => array(
                    "title" => $title, 
                    "description" => $description, 
                    "date" => $date, 
                    "time" => $time, 
                    "icon" => $home_url.'img/icon.png',
					"redirection" => $redirection,
					"redirection_to" => 'notification_page',
					"game_id" => $game_id,
                    "url" => $url)
                ); 
    
            $data_string = json_encode($data); 
            $headers = array ( 'Authorization: key=' . API_ACCESS_KEY, 'Content-Type: application/json' ); 
            $ch = curl_init(); curl_setopt( $ch,CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send' ); 
            curl_setopt( $ch,CURLOPT_POST, true ); 
            curl_setopt( $ch,CURLOPT_HTTPHEADER, $headers ); 
            curl_setopt( $ch,CURLOPT_RETURNTRANSFER, true ); 
            curl_setopt( $ch,CURLOPT_POSTFIELDS, $data_string); 
            $result = curl_exec($ch); 
            curl_close ($ch); 
			
			//sendPushNotification_oneSignal($title,$description);
            
            echo "<script>window.location = 'push_notification.php?success_alert1';</script>";
    
}


?>

<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h4 class="page-header">Manage Push Notification</h4>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                
                <div class="col-lg-4">
                                    <form role="form" method="POST" action="" >

                                    <div class="form-group col-lg-12">
                                            <label>Title</label>
                                            <input class="form-control" name="title" placeholder="Enter Title" autocomplete="off" required>
                                    </div>
                                    
                                    <div class="form-group col-lg-12">
                                            <label>Description</label>
                                            <textarea class="form-control" name="description" placeholder="Enter Description" row="4" autocomplete="off" required></textarea>
                                    </div>
									
									<div class="form-group col-lg-12">
                                            <label>Send to Game Dashoard ?</label>
                                            <select name="game_id" class="form-control">
											<option value="0"> No </option>
                                                <?php 
                                                    $qry1 =  "SELECT * FROM parent_games where 1";
                                                    $games1 = mysqli_query($con, $qry1);
                                                    while($row = mysqli_fetch_array($games1)){
                                                ?>
                                                <option value="<?php  echo $row['id'];?>"> <?php  echo $row['name'];?> </option>
                                                <?php } ?>
                                            </select>
                                        </div>

                                        
									 <div style="clear:both">&nbsp;</div>
									
                                        <div class="form-group col-lg-12">
                                        <button type="submit" name="send_notification" class="btn btn-default">Send</button>
                                        </div>
	
								
                </div>
                
                
                
            <div class="col-lg-8">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Last 10 Notification <a href="?delete_all" style="float:right;">Delete All</a>
                        </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body">
                            <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example1212">
                                <thead>
                                    <tr>
                                        
                                 
                                        <th>Title</th>
                                        <th>Description</th>
                                        <th>Date</th>
										<th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php 
                                    $qry =  "SELECT * FROM notification order by id DESC limit 10";
                                    $notification = mysqli_query($con, $qry);
                                    while($row = mysqli_fetch_array($notification)){
                                    ?>
                                    <tr class="gradeA">
                                        <td class="center" style="font-size: 12px;"> <?php  echo $row['title'];?></td>
                                        <td class="center" style="font-size: 12px;"> <?php  echo $row['description'];?></td>
                                        <td class="center" style="font-size: 12px;"> <?php  echo $row['date'];?> <?php  echo $row['time'];?></td>
										<td >  
                                            <div style="display:inline-flex;"> 
                                                <a href="?del_id=<?php echo $row['id'];?>" class="closeButton"> </a>
                                            </div>
                                        </td>
                                    </tr>
                                    <?php } ?>
                                    
                                   
                                </tbody>
                            </table>
                            <!-- /.table-responsive -->
                           
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
                
                
                
               
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->
        
<?php
include("footer.php");
?>