<?php
include("head.php");
include("header.php");

if(isset($_GET['date']))
{
$date = mysqli_real_escape_string($con, $_GET['date']);
}else{
$date = date('Y-m-d');
}

$per_page = 100;
$page = isset($_GET['page']) && is_numeric($_GET['page']) ? $_GET['page'] : 1;
$page = mysqli_real_escape_string($con, $page);
$start = ($page-1)*$per_page;


?>
<?php 
$user_id = mysqli_real_escape_string($con, $_GET['user_id']);
$qry_string = '&user_id='.$user_id;
?>
<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h4 class="page-header">bidding History  <?php echo get_userNameById($user_id).' - '.get_username1ById($user_id);?></h4>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->

            <div style="clear:both">&nbsp;</div>
            <?php if($user_id >0){ ?>

                     <table width="100%" class="table table-striped table-bordered table-hover" >
                                <thead>
                                    <tr>
                                        <th> Id</th>
                                        <th> Narration</th>
                                        <th> Digit</th>
                                        <th> Dr/Cr</th>
                                        <th> Amount</th>
                                        <th> Balance</th>
                                        <th> Play For</th>
                                        <th> Date & Time</th>
                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    

                                    <?php  
                                $qry = "SELECT * FROM user_transaction where user_id='".$user_id."' order by id DESC limit ".$start.",".$per_page;
                                 $result = mysqli_query($con,$qry);
                                     
                                     while ($row = mysqli_fetch_array($result)){
                                     
                                     if($row['type'] =='bid'){
                    		                if($row['starline']==1){
                    		                    $narration = 'STARLINE ('.get_Starlinetime($row['game_id']).')';
                    		                }elseif($row['starline']==2){
                    		                $narration =  "MJ ".get_Jackpottime($row['game_id']);
                    		                }else{
                    		                $narration = get_gameNameById($row['game_id']);
                    		                }
                    		            }
                    		            
                    		            if($row['type'] =='deposit' && $row['title'] =='Debited By Admin'){
                    		            $narration = 'Debited By Admin';
                    		            }
                    		            
                    		            if($row['type'] =='deposit' && $row['title'] =='upi'){
                    		            $narration = 'Credited By UPI';
                    		            }
                    		            
                    		            if($row['type'] =='deposit' && $row['title'] ==''){
                    		            $narration = 'Credited By Admin';
                    		            }
                    		            
                    		            if($row['type'] =='withdraw'){
                    		            $narration = 'Withdraw';
                    		            }
                    		            
                    		            if($row['type'] =='withdraw_rejected'){
                    		            $narration = 'Withdraw Rejected By Admin';
                    		            }
										
										if($row['game_type'] =='withdraw_cancelled'){
										$narration = 'Withdraw Cancelled By User';
										}
                    		            
                    		            if($row['type'] =='win'){
                    		                if($row['starline']==1){
                    		                    $narration = 'STARLINE ('.get_Starlinetime($row['game_id']).')';
                    		                }else{
                    		                $narration = get_gameNameById($row['game_id']);
                    		                }
                    		            }
                    		            
                    		            if($row['type'] =='revert'){
                    		            $narration = 'Revert Back ';
                    		            }
                    		            
                    		            if($row['debit_credit']=='credit'){
                    		            $tran_type =  'Cr';
                    		            }else{
                    		            $tran_type = 'Dr';
                    		            }
                    		            ?>
                                    <tr class="gradeA">
                                    
                                        <td class="center"> <?php echo $row['id'];?> </td>
                                        <td class="center"> <?php  echo $narration;?></td>
                                        <td class="center"> <?php  echo $row['digit'];?></td>
                                        <td class="center"> <?php  echo $tran_type;?></td>
                                        <td class="center"> <?php  echo $row['amount'];?></td>
                                        <td class="center"> <?php  echo $row['balance'];?></td>
                                        <td class="center"> <?php  echo date('d M, Y', strtotime($row['date']));?></td>
										<?php $temp_time = $row['date'].' '.$row['time']; ?>
                                        <td class="center"> <?php  echo date('d M, Y h:i A', strtotime($temp_time));?></td>
                                    </tr>
                                    <?php $i++; } ?>
                                    
                                   
                                </tbody>
                        </table>
						
						
						
			<?php } ?>			
									
                    <div class="pagination-bx float-right m-t30">
                        <ul class="pagination">
                        	<?php if ($page > 1): ?>
                        	<li class="previous"><a href="?page=<?php echo $page-1 ?><?php echo $qry_string;?>"> <i class="ti-arrow-left"></i>Prev</a></li>
                        	<?php endif; ?>
                        	
                        	<li class="active currentpage"><a href="?page=<?php echo $page ?><?php echo $qry_string;?>"><?php echo $page ?></a></li>
                        	
                        	<li class="next"><a href="?page=<?php echo $page+1 ?><?php echo $qry_string;?>">Next <i class="ti-arrow-right"></i></a></li>
                        
                        </ul>
                    </div>
                        	
        	
        </div>
        <!-- /#page-wrapper -->
        
        
        

<?php
include("footer.php");
?>

