<?php
include("head.php");
include("header.php");
echo '<div id="log_div">';


if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $member_id = clean_input($_POST['member_id']);
    $principle_amount = clean_input($_POST['principle_amount']);
    $loan_category = clean_input($_POST['loan_category']);
    $installment_type = clean_input($_POST['installment_type']);
    $interest_type = clean_input($_POST['interest_type']);
    $interest_rate = clean_input($_POST['interest_rate']);
    $interest_amount = clean_input($_POST['interest_amount']);
    $total_amount = clean_input($_POST['total_amount']);
    $total_installments = clean_input($_POST['total_installments']);
    $late_penalty_flag = clean_input($_POST['late_penalty_flag']);
    $late_penalty_percent = clean_input($_POST['late_penalty_percent']);
    $late_penalty_charges = clean_input($_POST['late_penalty_charges']);
    $start_date = clean_input($_POST['start_date']);
    $date_created = clean_input($_POST['date_created']);
    $remark = clean_input($_POST['remark']);
    //$date_created = date('Y-m-d');

    // Calculate end date
    $end_date = $start_date;

    // Insert loan data into `loans` table
    $qry = "INSERT INTO `loans` (member_id, principle_amount, loan_category, installment_type, interest_type, interest_rate, interest_amount, total_amount, total_installments, late_penalty_flag, late_penalty_charges, total_penalty, due_amount, status, start_date, end_date, date_created, remark)
            VALUES ('$member_id', '$principle_amount', '$loan_category', '$installment_type', '$interest_type', '$interest_rate', '$interest_amount', '$total_amount', '$total_installments', '$late_penalty_flag', '$late_penalty_charges', '0', $total_amount, '1', '$start_date', '$end_date', '$date_created', '$remark')";

    if (mysqli_query($con, $qry)) {
        $loan_id = mysqli_insert_id($con); // Get the last inserted loan ID

        // Insert installment data into `installments` table
        for ($i = 0; $i < $total_installments; $i++) {
            if ($installment_type == 'daily') {
                $due_date = date('Y-m-d', strtotime("$start_date + $i days"));
            } elseif ($installment_type == '5days') {
                $due_date = date('Y-m-d', strtotime("$start_date + " . ($i * 5) . " days"));
            } elseif ($installment_type == '10days') {
                $due_date = date('Y-m-d', strtotime("$start_date + " . ($i * 10) . " days"));
            }

            
            $installment_amount = $total_amount / $total_installments;
            $installment_penalty = ($late_penalty_percent / 100) * $installment_amount;

            $installment_qry = "INSERT INTO `installments` (loan_id, loan_categories, member_id, installment_amount, status, due_date, paid_date, late_penalty_charges, penalty_created)
                                VALUES ('$loan_id', '$loan_category', '$member_id', '$installment_amount', '0', '$due_date', NULL, NULL, '0')";



            // Debugging: Check if the query is correct
            if (!mysqli_query($con, $installment_qry)) {
                echo "Error inserting installment $i: " . mysqli_error($con) . "<br>";
                exit;
            }
        }
        // Update end date in `loans` table
    $qry = "UPDATE `loans` SET end_date = '$due_date' WHERE id = '$loan_id'";
    mysqli_query($con, $qry);

    echo "Loan and installments successfully added. <br> Loan ID: ".$loan_id;
    } else {
        echo "Error: " . $qry . "<br>" . mysqli_error($con);
    }

    mysqli_close($con);
    
    exit;
}
echo '</div>';
?>

<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h4 class="page-header">Add New Loan</h4>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Enter Loan Details
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    
                                    <?php if(isset($_GET['member_id']) && isset($_GET['loan_category']) && isset($_GET['installment_type'])){ 
                                    $member_id = clean_input($_GET['member_id']);
                                    $loan_category = clean_input($_GET['loan_category']);
                                    $installment_type = clean_input($_GET['installment_type']);
                                    ?>
                                    <form role="form" method="POST" action="loan_add_final.php">
										
										<div class="form-group col-lg-12">
                                            <label>Customer Details</label>
                                            <?php
                                            $qry =  "SELECT * FROM `members` WHERE id='$member_id'";
                                            $user_details = mysqli_query($con, $qry);
                                            while($row = mysqli_fetch_array($user_details)){
                                            $customer_id = $row['id'];
                                            $name = $row['name'];
                                            $father_name = $row['father_name'];
                                            
                                            }?>
                                            <p>Name : <b><?php echo $name;?> - <?php echo $father_name;?></b> | Loan Type : <b><?php echo get_loanCategoryById($loan_category);?> - <?php echo $installment_type;?></b></p>
                                            <input type="hidden" name="member_id" value="<?php echo $customer_id;?>" required>
                                            <input type="hidden" name="loan_category" value="<?php echo $loan_category;?>" required>
                                            <input type="hidden" name="installment_type" value="<?php echo $installment_type;?>" required>
                                        </div>
                                        
                                        <div style="clear:both;">&nbsp;</div>
                                        
                                        <?php if($installment_type == 'daily' || $installment_type == '5days' || $installment_type == '10days'){?>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Principle Amount</label>
                                            <input class="form-control inputboxChange" name="principle_amount" id="principle_amount" value="0" placeholder="Enter Principle Amount" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Interest Amount</label>
                                            <input class="form-control inputboxChange" name="interest_amount" id="interest_amount" value="0" placeholder="Enter Interest Amount" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Total Amount</label>
                                            <input class="form-control inputboxChange" name="total_amount" id="total_amount" value="0" placeholder="Total Amount" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Total Installments</label>
                                            <input class="form-control inputboxChange" name="total_installments" id="total_installments" value="100" placeholder="Enter Number of Installments" autocomplete="off">
                                        </div>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Installments Amount</label>
                                            <input class="form-control inputboxChange" name="installment_amount" id="installment_amount" value="0" autocomplete="off" readonly>
                                        </div>
                                        
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Interest Type</label>
                                            <input class="form-control inputboxChange" name="interest_type" id="interest_type" value="fixed" placeholder="Total Amount" autocomplete="off" readonly>
                                        </div>
                                        
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Interest Rate</label>
                                            <input class="form-control inputboxChange" name="interest_rate" id="interest_rate" value="0" placeholder="Enter Interest Rate" autocomplete="off" readonly>
                                        </div>
                                        
                                        
                                        <?php }else{ ?>
                                        
                                        Work is pending
                                        <?php exit;?>
                                        
                                        <?php } ?>
										<div style="clear:both;">&nbsp;</div>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Late penalty ?</label>
                                            <select class="form-control" name="late_penalty_flag" id="late_penalty_flag" required>
                                                <option value="">-- Select Option --</option>
                                                 <option value="1">yes</option>
                                                 <option value="0">no</option>
                                            </select>
                                        </div>
                                        
                                        
                                        <div class="form-group col-lg-3">
                                            <label>Penalty Charges (% percentage)</label>
                                            <input class="form-control inputboxChange" name="late_penalty_percent" id="late_penalty_percent" value="0" placeholder="10/12/15/20" autocomplete="off" required>
                                        </div>
                                        
										
										<div class="form-group col-lg-3">
                                            <label>Penalty Amount (Amount)</label>
                                            <input class="form-control" name="late_penalty_charges" id="late_penalty_charges" value="0" placeholder="Enter Amount" autocomplete="off" required>
                                        </div>
                                        
                                        <div style="clear:both;">&nbsp;</div>
                                        <div class="form-group col-lg-3">
                                            <label>Loan Created Date</label>
                                            <input class="form-control inputboxChange" name="date_created" id="date_created" value="<?php echo date('Y-m-d');?>" type="date" placeholder="yyyy-dd-mm" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-3">
                                            <label>EMI Start Date</label>
                                            <input class="form-control inputboxChange" name="start_date" id="start_date" value="<?php echo date('Y-m-d');?>" type="date" placeholder="yyyy-dd-mm" autocomplete="off" required>
                                        </div>

                                        
                                        <div style="clear:both;">&nbsp;</div>
                                        
                                        <div class="form-group col-lg-12">
                                            <p>Note: Please check all the details carefully. loan details cannot be changed later.</p>
                                        </div>
                                        
                                        <div style="clear:both;">&nbsp;</div>
                                        

                                        <div class="form-group col-lg-12">
                                        <button type="submit" name="add_user" class="btn btn-default">Confirm and Submit</button>
                                        </div>
                                        
                                    </form>
                                    
                                    <?php }else{
                                        
                                    echo 'invalid request.. Try Again.'; 
                                    }?>
                                </div>
                           
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
$(document).ready(function() {
    function calculateTotalAmount() {
        var principleAmount = parseFloat($('#principle_amount').val()) || 0;
        var interestAmount = parseFloat($('#interest_amount').val()) || 0;
        var totalAmount = principleAmount + interestAmount;
        $('#total_amount').val(totalAmount.toFixed(2));
    }

    function calculateInstallmentAmount() {
        var totalAmount = parseFloat($('#total_amount').val()) || 0;
        var totalInstallments = parseInt($('#total_installments').val()) || 1;
        var installmentAmount = totalAmount / totalInstallments;
        $('#installment_amount').val(installmentAmount.toFixed(2));
    }

    function calculateInterestRate() {
        var principleAmount = parseFloat($('#principle_amount').val()) || 0;
        var interestAmount = parseFloat($('#interest_amount').val()) || 0;
        var interestRate = (interestAmount / principleAmount) * 100;
        $('#interest_rate').val(interestRate.toFixed(2) + '%');
    }

    function calculateLatePenaltyCharges() {
        var latePenaltyPercent = parseFloat($('#late_penalty_percent').val()) || 0;
        var installmentAmount = parseFloat($('#installment_amount').val()) || 0;
        var latePenaltyCharges = (latePenaltyPercent / 100) * installmentAmount;
        $('#late_penalty_charges').val(latePenaltyCharges.toFixed(2));
    }

    $('.inputboxChange').on('input', function() {
        calculateTotalAmount();
        calculateInstallmentAmount();
        calculateInterestRate();
        calculateLatePenaltyCharges();
    });

    // Initial calculations on page load
    calculateTotalAmount();
    calculateInstallmentAmount();
    calculateInterestRate();
    calculateLatePenaltyCharges();
});
</script>
<?php
include("footer.php");
?>

