<?php
include("head.php");
include("header.php");


if (isset($_POST['delete_loan'])) {
    $id = clean_input( $_POST['loan_id']); 
    
    if ($_POST['master_pass'] == 'jiobank@41975') {
    // Start the transaction
    mysqli_begin_transaction($con, MYSQLI_TRANS_START_WITH_CONSISTENT_SNAPSHOT);

    try {
        // Delete related penalties
        $qry_penalties = "DELETE FROM `penalties` WHERE loan_id='$id'";
        mysqli_query($con, $qry_penalties);

        // Delete related installments
        $qry_installments = "DELETE FROM `installments` WHERE loan_id='$id'";
        mysqli_query($con, $qry_installments);

        // Delete the loan
        $qry_loan = "DELETE FROM `loans` WHERE id='$id'";
        mysqli_query($con, $qry_loan);

        // Commit the transaction
        mysqli_commit($con);

        mysqli_close($con);
        echo "<script>window.location = 'loan_list_all.php?success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction if something failed
        mysqli_rollback($con);

        mysqli_close($con);
        echo "<script>alert('An error occurred while deleting the loan. Please try again.')</script>";
        echo "<script>window.location = 'loan_details.php?id=" . $id . "&success_alert2';</script>";
        exit;
    }
} else {
    echo "<script>alert('Invalid Master Password')</script>";
    echo "<script>window.location = 'loan_details.php?id=" . $id . "&success_alert2';</script>";
    exit;
}

}


if(isset($_GET['mark_paid_penalty'])){
    $penalty_id = intval($_GET['penalty_id']);
    $loan_id = intval($_GET['loan_id']);
    $installment_id = intval($_GET['installment_id']);
    $amount = clean_input($_GET['amount']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    // Start a transaction
    mysqli_begin_transaction($con);

    try {
        // Update penalty status
        $qry = "UPDATE penalties SET status=1, date_time='$today_date_time' WHERE id='$penalty_id'";
        if(!mysqli_query($con, $qry)) {
            throw new Exception("Error updating penalty: " . mysqli_error($con));
        }
        
        
        if($amount > 0){
        // Insert into income table
         $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('penalty', '$loan_id', '$installment_id', '$amount', 'Penalty Payment', '$today_date', '$today_date_time')";
        if(!mysqli_query($con, $insert_income_qry)) {
            throw new Exception("Error inserting into income: " . mysqli_error($con));
        }

        // Update loans table
        $update_loan_qry = "UPDATE loans SET total_penalty = total_penalty + $amount WHERE id='$loan_id'";
        if(!mysqli_query($con, $update_loan_qry)) {
            throw new Exception("Error updating loan: " . mysqli_error($con));
        }
        }

        // Commit the transaction
        mysqli_commit($con);

        // Redirect on success
        echo "<script>window.location = 'loan_details.php?id=".$loan_id."&success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction on error
        mysqli_rollback($con);
        echo $e->getMessage();
        exit;
    }
}


if(isset($_POST['add_payment'])){
    $loan_categories = intval($_POST['loan_categories']);
    $member_id = intval($_POST['member_id']);
    $loan_id = intval($_POST['loan_id']);
    $installment_amount = clean_input($_POST['amount']);
    $date = clean_input($_POST['date']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    $installment_qry = "INSERT INTO `installments` (loan_id, loan_categories, member_id, installment_amount, status, due_date, paid_date, late_penalty_charges, penalty_created)
                                VALUES ('$loan_id', '$loan_category', '$member_id', '$installment_amount', '1', '$date', '$date', NULL, '0')";
    
    if (mysqli_query($con, $installment_qry)) {
        $installment_id = mysqli_insert_id($con);
        
        // Insert into income table
        $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('installment', '$loan_id', '$installment_id', '$installment_amount', 'Installment Payment', '$today_date', '$today_date_time')";
        mysqli_query($con, $insert_income_qry);
        
        // Update loans table
        $update_loan_qry = "UPDATE loans SET due_amount = due_amount - $installment_amount, paid_amount = paid_amount + $installment_amount WHERE id='$loan_id'";
        mysqli_query($con, $update_loan_qry);
        
        echo "<script>window.location = 'loan_details.php?id=".$loan_id."&success_alert2';</script>";
        exit;
    }else {
        echo "Error: " . $qry . "<br>" . mysqli_error($con);
    }
}



if(isset($_GET['mark_paid'])){
    $installment_id = intval($_GET['installment_id']);
    $loan_id = intval($_GET['loan_id']);
    $amount = clean_input($_GET['amount']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    // Start a transaction
    mysqli_begin_transaction($con);

    try {
        // Update installment status
        $qry = "UPDATE installments SET status=1, paid_date='$today_date' WHERE id='$installment_id'";
        if(!mysqli_query($con, $qry)) {
            throw new Exception("Error updating installment: " . mysqli_error($con));
        }

        // Insert into income table
        $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('installment', '$loan_id', '$installment_id', '$amount', 'Installment Payment', '$today_date', '$today_date_time')";
        if(!mysqli_query($con, $insert_income_qry)) {
            throw new Exception("Error inserting into income: " . mysqli_error($con));
        }

        // Update loans table
        $update_loan_qry = "UPDATE loans SET due_amount = due_amount - $amount, paid_amount = paid_amount + $amount WHERE id='$loan_id'";
        if(!mysqli_query($con, $update_loan_qry)) {
            throw new Exception("Error updating loan: " . mysqli_error($con));
        }

        // Commit the transaction
        mysqli_commit($con);

        // Redirect on success
        echo "<script>window.location = 'loan_details.php?id=".$loan_id."&success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction on error
        mysqli_rollback($con);
        echo $e->getMessage();
        exit;
    }
}

if (isset($_GET['active'])) {
    $id = mysqli_real_escape_string($con, $_GET['active']); 

    $qry = "UPDATE members SET status=1 WHERE id='$id'";
    mysqli_query($con, $qry);
    mysqli_close($con);
    echo "<script>window.location = 'member_details.php?user_id=".$id."&success_alert2';</script>";
}

// Check if loan ID is provided in the URL
if (isset($_GET['id'])) {
    $loan_id = intval($_GET['id']);

    // Query to fetch loan details along with necessary member details
    $qry_loan = "SELECT loans.*, members.name AS member_name, members.mobile_number, members.email, members.city, members.pincode,
                 members.member_photo_url, members.proof1_url, members.proof2_url, members.witness_proof_url
                 FROM loans 
                 INNER JOIN members ON loans.member_id = members.id 
                 WHERE loans.id = $loan_id";

    $result_loan = mysqli_query($con, $qry_loan);

    if ($result_loan && mysqli_num_rows($result_loan) > 0) {
        $loan = mysqli_fetch_assoc($result_loan);

        // Query to fetch installments for the loan
        $qry_installments = "SELECT * FROM installments WHERE loan_id = $loan_id ORDER BY id";
        $result_installments = mysqli_query($con, $qry_installments);

        // Query to fetch penalties for the loan
        $qry_penalties = "SELECT p.*,  i.due_date AS installment_due_date, i.installment_amount 
    FROM 
        penalties p
    JOIN 
        installments i ON p.installment_id = i.id
    WHERE p.loan_id = $loan_id ORDER BY p.id";
        $result_penalties = mysqli_query($con, $qry_penalties);
?>
<style>
    .detail-label {
        font-weight: bold;
    }

    .detail-value {
        margin-left: 10px;
    }

    .installment-paid {
        background-color: #03560d; /* Greenish for paid installments */
        color:white;
    }

    .installment-due {
        background-color: #ef4141; /* Reddish for due installments */
        color:white;
    }

    .penalty-paid {
        background-color: #dff0d8; /* Greenish for paid penalties */
    }

    .penalty-due {
        background-color: #f2dede; /* Reddish for due penalties */
    }
</style>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">Loan Details</h4>   
            <?php if($loan['installment_type']  == 'direct'){ ?>
            <a href="loan_details_print_direct.php?id=<?php echo $loan['id']; ?>" target="_blank" style="float:right;"> 🖨️ Print</a>
            <?php }else{ ?>
             <a href="loan_details_print.php?id=<?php echo $loan['id']; ?>" target="_blank" style="float:right;"> 🖨️ Print</a>
            <?php } ?>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Loan Information <a href="loan_edit.php?loan_id=<?php echo $loan['id']; ?>" style="float:right;">Edit Loan</a>
                </div>
                <div class="panel-body">
                    <table width="100%" class="table table-striped table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>Title</th>
                                <th>Value</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="gradeA"><th>Loan ID:</th> <td class="center"> <?php echo $loan['id']; ?></td></tr>
                            <tr class="gradeA"><th>Member Name:</th> <td class="center"> <?php echo $loan['member_name']; ?></td></tr>
                            <tr class="gradeA"><th>Principle Amount:</th>    <td class="center"> <?php echo $loan['principle_amount']; ?></td></tr>
                            <tr class="gradeA"><th>Interest Amount:</th>    <td class="center"> <?php echo $loan['interest_amount']; ?> (<?php echo $loan['interest_rate']; ?>%)</td></tr>
                            <tr class="gradeA"><th>Total Amount:</th>    <td class="center"> <?php echo $loan['total_amount']; ?></td></tr>
                            <tr class="gradeA"><th>Due Amount:</th>    <td class="center"> <?php echo $loan['due_amount']; ?></td></tr>
                            <tr class="gradeA"><th>Paid Amount:</th>    <td class="center"> <?php echo $loan['paid_amount']; ?></td></tr>
                            <?php if($loan['installment_type']  == 'direct'){ }else{?>
                            <tr class="gradeA"><th>Total Penalty Paid:</th>    <td class="center"> <?php echo $loan['total_penalty']; ?></td></tr>
                            <?php } ?>
                            <tr class="gradeA"><th>Date Created:</th> <td class="center"> <?php echo date('d-m-Y', strtotime($loan['date_created'])); ?></td></tr>
                            <tr class="gradeA"><th>Start Date:</th> <td class="center"> <?php echo date('d-m-Y', strtotime($loan['start_date'])); ?></td></tr>
                            <tr class="gradeA"><th>End Date:</th> <td class="center"> <?php echo date('d-m-Y', strtotime($loan['end_date'])); ?></td></tr>
                            <tr class="gradeA"><th>Duration:</th> <td class="center">
                            <?php
                                $date_created = new DateTime($loan['date_created']);
                                $start_date = new DateTime($loan['start_date']);
                                $end_date = new DateTime($loan['end_date']);
                                $duration = $date_created->diff($end_date)->days;
                                echo $duration; 
                            ?> (Days)
                            </td></tr>
                            <tr class="gradeA"><th>Cur Status</th>    <td class="center"> 
                            <?php if($loan['status']=='1'){?>
                            <a href="?inactive=<?php echo $loan['id'];?>" style="background: green;color: white;padding: 5px 15px;border-radius: 5px;text-decoration: none;"> Active </a>
                            <?php }else{ ?>
                            <a href="?active=<?php echo $loan['id'];?>" style="background: red;color: white;padding: 5px 15px;border-radius: 5px;text-decoration: none;"> InActive </a>
                            <?php } ?>
                            </td></tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Member Details
                </div>
                <div class="panel-body">
                    <table class="table table-striped table-bordered table-hover">
                        <tbody>
                            <tr>
                                <th>User ID</th>
                                <td><?php echo $loan['member_id']; ?></td>
                            </tr>
                            <tr>
                                <th>Name</th>
                                <td><?php echo $loan['member_name']; ?></td>
                            </tr>
                            <tr>
                                <th>Mobile</th>
                                <td><?php echo $loan['mobile_number']; ?></td>
                            </tr>
                            <tr>
                                <th>Email</th>
                                <td><?php echo $loan['email']; ?></td>
                            </tr>
                            <tr>
                                <th>City / Pincode</th>
                                <td><?php echo $loan['city'] . " - " . $loan['pincode']; ?></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                
                <div class="panel-body">
                    <div class="row">
                        <?php
                        // Loop through the document fields and display them
                        foreach (['member_photo_url', 'proof1_url', 'proof2_url', 'witness_proof_url'] as $file_field) {
                            if (!empty($loan[$file_field])) {
                                $imagePath = "../uploads/" . $loan[$file_field];
                        ?>
                                <div class="col-lg-3 col-md-4 col-xs-6 thumb">
                                    <a href="#" class="thumbnail" data-toggle="modal" data-target="#imageModal" onclick="showImage('<?php echo $imagePath; ?>')">
                                        <img class="img-thumbnail" src="<?php echo $imagePath; ?>" alt="Document">
                                    </a>
                                </div>
                        <?php
                            }
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Installments Section -->
    <div class="row">
        
        
        <?php if($loan['installment_type']  == 'direct'){ ?>
            <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Paid Installments 
                </div>
                <div class="panel-body">
                    <table class="table table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Ref. Number</th>
                                <th>Amount</th>
                                <th>Due Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            while ($row_installment = mysqli_fetch_assoc($result_installments)) {
                                $installment_status = getInstallmentStatus($row_installment['status']);
                                $installment_class = ($row_installment['status'] == 1) ? "installment-paid" : "installment-due";
                            ?>
                                <tr class="<?php echo $installment_class; ?>">
                                    <td><?php echo $i++; ?></td>
                                    <td><?php echo $row_installment['id']; ?></td>
                                    <td><?php echo $row_installment['installment_amount']; ?></td>
                                    <td><?php echo date('d-m-Y', strtotime($row_installment['due_date'])); ?></td>
                                    <td><?php echo $installment_status; ?></td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <?php }else{?>
        <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Installments
                </div>
                <div class="panel-body">
                    <table class="table table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Ref. Number</th>
                                <th>Amount</th>
                                <th>Due Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            while ($row_installment = mysqli_fetch_assoc($result_installments)) {
                                $installment_status = getInstallmentStatus($row_installment['status']);
                                $installment_class = ($row_installment['status'] == 1) ? "installment-paid" : "installment-due";
                            ?>
                                <tr class="<?php echo $installment_class; ?>">
                                    <td><?php echo $i++; ?></td>
                                    <td><?php echo $row_installment['id']; ?></td>
                                    <td><?php echo $row_installment['installment_amount']; ?></td>
                                    <td><?php echo date('d-m-Y', strtotime($row_installment['due_date'])); ?></td>
                                    <td><?php echo $installment_status; ?></td>
                                    <td>
                                        <?php if($row_installment['status'] == 0){?>
                                            <a href="?mark_paid&installment_id=<?php echo $row_installment['id']; ?>&loan_id=<?php echo $loan['id'];?>&amount=<?php echo $row_installment['installment_amount']; ?>" class="btn btn-danger m-btn" onclick="return confirmAction();">Mark Paid</a>
                                        <?php }else{?>
                                            <a href="installment_receipt_print.php?&installment_id=<?php echo $row_installment['id']; ?>&loan_id=<?php echo $loan['id'];?>" target="_blank" class="btn btn-primary m-btn" >Print Receipt</a>
                                        
                                        <?php } ?>
                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
        <!-- Penalties Section -->
        <div class="col-lg-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Penalties
                </div>
                <div class="panel-body">
                    <table class="table table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Ref. Number</th>
                                <th>Amount</th>
                                <th>Installment</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $j = 1;
                            while ($row_penalty = mysqli_fetch_assoc($result_penalties)) {
                                $penalty_status = getInstallmentStatus($row_penalty['status']);
                                $penalty_class = ($row_penalty['status'] == 1) ? "penalty-paid" : "penalty-due";
                            ?>
                                <tr class="<?php echo $penalty_class; ?>">
                                    <td><?php echo $j++; ?></td>
                                    <td><?php echo $row_penalty['id']; ?></td>
                                    <td><?php echo $row_penalty['amount']; ?></td>
                                     <td><?php echo date('d-m-Y', strtotime($row_penalty['installment_due_date'])); ?> (<?php echo $row_penalty['installment_amount']; ?>)</td>
                                    <td><?php echo $penalty_status; ?></td>
                                    <td>
                                        <?php if($row_penalty['status'] == 0){?>
                                            <a href="?mark_paid_penalty&penalty_id=<?php echo $row_penalty['id']; ?>&loan_id=<?php echo $loan['id'];?>&amount=<?php echo $row_penalty['amount']; ?>" class="btn btn-danger m-btn" onclick="return confirmAction();">Mark Paid</a>
                                        <?php }?>
                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
        <?php } ?>
    </div>
    
    
    
    <?php if($loan['installment_type']  == 'direct'){ ?>
    <div class="row">
               <div class="col-lg-6">
                  <div class="panel panel-default">
                     <div class="panel-heading">
                        Deposit Payment 
                     </div>
                     <!-- /.panel-heading -->
                     <div class="panel-body">
                        <form role="form" method="POST" action="" >
                           <div class="form-group col-lg-12">
                              <label>Amount</label>
                              <input class="form-control" name="amount" placeholder="Enter Amount" autocomplete="off" required>
                           </div>
                           
                           
                           <div class="form-group col-lg-12">
                              <label>Date</label>
                              <input class="form-control" type="date" value="<?php echo date('Y-m-d');?>" name="date" autocomplete="off" required>
                           </div>
                           
                           <div class="form-group col-lg-12">
                              <input type="hidden" name="loan_id" value="<?php echo $loan['id']; ?>" required>
                              <input type="hidden" name="loan_categories" value="<?php echo $loan['loan_categories']; ?>" required>
                              <input type="hidden" name="member_id" value="<?php echo $loan['member_id']; ?>" required>
                           </div>
                           <div class="form-group col-lg-12">
                              <button type="submit" name="add_payment" class="btn btn-danger">Add Payment</button>
                           </div>
                        </form>
                     </div>
                  </div>
               </div>
            </div>
    <?php } ?>        
            
    <div class="row">
               <div class="col-lg-6">
                  <div class="panel panel-default">
                     <div class="panel-heading">
                        Delete Loan  
                     </div>
                     <!-- /.panel-heading -->
                     <div class="panel-body">
                        <form role="form" method="POST" action="" >
                           <div class="form-group col-lg-12">
                              <label>Master Password</label>
                              <input class="form-control" name="master_pass" placeholder="Enter Master Password" autocomplete="off" required>
                              <input type="hidden" name="loan_id" value="<?php echo $loan['id']; ?>" required>
                           </div>
                           <div class="form-group col-lg-12">
                              <button type="submit" name="delete_loan" class="btn btn-danger">Delete Loan</button>
                           </div>
                        </form>
                     </div>
                  </div>
               </div>
            </div>
</div>
<?php
    } else {
        echo "<div id='log_div'><div class='alert alert-danger'>Loan not found.</div></div>";
    }
} else {
    echo "<div id='log_div'><div class='alert alert-danger'>Loan ID not provided.</div></div>";
}

include("footer.php");
?>

