<?php
include("head.php");
include("header.php");

if(isset($_GET['date']) && $_GET['date'] !='')
{
    $date = htmlspecialchars(mysqli_real_escape_string($con, $_GET['date']));
}else{
    $date = date('Y-m-d');
}

$parent_game_id = htmlspecialchars(mysqli_real_escape_string($con, $_GET['parent_game_id']));
?>

<style>
.bid_history{
    width:100%;
}
th {
    padding: 25px;
    border: 1px solid #555;
    background: #0F5894;
    color: #fff;
    font-weight: bold;
}
th{text-align: center;
padding: 10px 5px;
font-size: 18px;
font-weight: bold;
border: 1px solid gray;
}

.bid_history td {
    padding: 8px;
    text-align: center;
    border: 1px solid gray;
    font-size: 16px;
font-weight: 700;
}

.evenodd tr:nth-child(2n) {
    background-color: #f2dede;
}

.akdabox {
    background: #f2dede;
}
</style>
  <div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h3 class="page-header">Bidding History Main - <?php echo get_parentGameById($parent_game_id);?> </h3>
                    
                    
                    <form role="form" method="get" action="" >

                                      
                                        <div class="form-group col-lg-4">
                                            <input type="date" class="form-control" name="date"  value="<?php echo $date;?>" autocomplete="off">
                                            <?php if(isset($_GET['parent_game_id']) && $_GET['parent_game_id'] !=''){?>
                                            <input type="hidden" class="form-control" name="parent_game_id"  value="<?php echo htmlspecialchars(mysqli_real_escape_string($con, $_GET['parent_game_id']));?>" autocomplete="off">
                                            <?php } ?>
										</div>
										
										<div class="form-group col-lg-4">

                                        <button type="submit" name="change_date" class="btn btn-default">Change Date</button>
                                        </div>
										 
										
										<div style="clear:both">&nbsp;</div>
										
                                        
                                        
                                    </form>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                
                
                
                <?php if(isset($_GET['parent_game_id']) && $_GET['parent_game_id'] !=''){?>
                
                <?php
                $game_types = ['single','jodi','single_patti','double_patti','triple_patti','half_sangam','full_sangam'];
                ?>
                
                <div>
                    
                
                <div class='m_tab'>   
                <ul class="nav nav-tabs">
                    <?php 
                    for($i=0;$i<count($game_types);$i++)
                        {?>
                            <li <?php if($i==0)echo 'class="active"';?>><a data-toggle="tab" href="#<?php echo $game_types[$i];?>"><?php echo $game_types[$i];?></a></li>
                        <?php } ?>
                  </ul>
                
                  <div class="tab-content">

                        <div id="single" class="tab-pane fade in active">

                            <p>
                              <div class="result">
                                    <table class="bid_history">
                                        <thead>
                                            <tr>
                                                <th colspan='11'>Single Digit - <?php echo get_parentGameById($parent_game_id);?></th>    
                                            </tr>
                                        </thead>
                                        <tbody class="evenodd">
                                            <tr>
                                                <td class="rupicon">Open</td>
                                                <?php
                                                    for($i=0;$i<10;$i++){
                                                        echo '<td>'.$i.'</td>';
                                                    }
                                                ?>
                                            </tr>
                                            <tr>
                                                <td> 
                                                <span class="rupicon">&#8377;</span>  
                                                </td>
                                                <?php
                                                    $child_open = get_ChildOpen($parent_game_id);
                                                    $child_close = get_ChildClose($parent_game_id);
                                                    $tmoney = 0;
                                                    for($i=0;$i<10;$i++){
                                                        $money = 0;
                                                            $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$i' and game_id='$child_open' and date='$date' and game_type='single' and type='bid' and starline='0'";
                                                            $res1 = mysqli_query($con,$qry1);
                                                            $singalGames = mysqli_fetch_object($res1);
                                                            $money += $singalGames->money;   
                                                       $tmoney += $money;
                                                           echo '<td>'.$money.'</td>';
                                                       
                                                    }
                                                    echo '<td class="rupicon">'.$tmoney.'</td>';
                                                ?>
                                            </tr>
                                             <tr>
                                                <td class="rupicon">Close</td>
                                                <?php
                                                    for($i=0;$i<10;$i++){
                                                        echo '<td>'.$i.'</td>';
                                                    }
                                                ?>
                                            </tr>
                                            <tr>
                                                <td> 
                                                  <span class="rupicon">&#8377;</span>
                                                </td>
                                                <?php
                                                    $tmoney = 0;
                                                    for($i=0;$i<10;$i++){
                                                        
                                                        $money = 0;
                                                            $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$i' and game_id='$child_close' and date='$date' and game_type='single' and type='bid' and starline='0'";
                                                            $res1 = mysqli_query($con,$qry1);
                                                            $singalGames = mysqli_fetch_object($res1);
                                                            $money += $singalGames->money;
                                                       $tmoney += $money;
                                                           echo '<td>'.$money.'</td>';
                                                    }
                                                     echo '<td class="rupicon">'.$tmoney.'</td>';
                                                ?>
                                            </tr>
                                        </tbody>
                                    </table>

                             
                              </div>
                            </p>
                        </div>
                        
                        
                        
                        <div id="jodi" class="tab-pane fade">

                            <p>
                              <div class="result">
                                  <table class="bid_history">
                                        <thead>
                                            <tr>
                                                <th colspan='11'>Jodi - <?php echo get_parentGameById($parent_game_id);?></th>    
                                            </tr>
                                        </thead>
                                        <tbody class="evenodd">
                                            <?php
                                                $m = 0;
                                                for($p=0;$p<10;$p++){
                                            ?>
                                                    <tr>
                                                        <td><span class="rupicon">Bet On</span></td>
                                                    <?php
                                                        for($i=0;$i<10;$i++){
                                                            if($m<10){
                                                                echo '<td>'.str_pad($m+$i, 2, "0", STR_PAD_LEFT).'</td>';    
                                                            } else {
                                                                echo '<td>'.($m+$i).'</td>';
                                                            }
                                                            
                                                        }
                                                    ?>
                                                    </tr>
                                                    <tr>
                                                        <td><span class="rupicon">₹</span></td>
                                                        <?php
                                                            $tmoney = 0;
                                                            for($i=0;$i<10;$i++){
                                                                $money =0;
                                                                $t = str_pad($m+$i, 2, "0", STR_PAD_LEFT);
                                                                $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$t' and game_id='$child_open' and date='$date' and game_type='jodi' and type='bid' and starline='0'";
                                                            $res1 = mysqli_query($con,$qry1);
                                                            $singalGames = mysqli_fetch_object($res1);
                                                            $money += $singalGames->money;
                                                                $tmoney += $money;
                                                                       echo '<td>'.$money.'</td>';
                                                            }
                                                            echo '<td>'.$tmoney.'</td>';
                                                        ?>
                                                    </tr>
                                            <?php
                                                    $m +=10;
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                              
                              </div>
                            </p>
                        </div>
                        
                        
                        <div id="single_patti" class="tab-pane fade">

                            <p>
                              <div class="result">
                                  <ul id="myTabs" class="nav nav-pills nav-justified" role="tablist" data-tabs="tabs">
                                    <li class="active"><a href="#Commentary" data-toggle="tab">Open</a></li>
                                    <li><a href="#SingleClose" data-toggle="tab">Close</a></li>
                                  </ul>
                                  <div class="tab-content">
                                    <div role="tabpanel" class=" table-responsive tab-pane fade in active" id="Commentary">
                                        <table class="bid_history">
                                            <!--<thead>-->
                                            <!--    <tr>-->
                                            <!--        <th colspan='14'>Singal Patti</th>    -->
                                            <!--    </tr>-->
                                            <!--</thead>-->
                                            <tbody>
                                                
                                                <?php
                                                
                                                        
                                                    for($a=0;$a<10;$a++){
                                                        
                                                        $qry1 =  "SELECT num FROM sp WHERE digit ='$a'";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        $Games = array();
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                        $Games[] = $row1['num'];
                                                        }
                                                        $parts = array_chunk($Games,6);
                                                        $tAmount = 0;
                                                        $T0 = 1;
                                                        echo "<tr><td colspan='12'>Akda : <b>$a</b><span id='AmountSO$a'></span></td></tr>";
                                                        foreach($parts as $part){
                                                            echo "</tr>";
                                                            for($i=0;$i<6;$i++){
                                                                $money = 0;
                                                                $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$part[$i]' and game_id='$child_open' and date='$date' and game_type='single_patti' and type='bid' and starline='0'";
                                                                $res1 = mysqli_query($con,$qry1);
                                                                $singalGames = mysqli_fetch_object($res1);
                                                                $money += $singalGames->money;
                
                                                               $tAmount += $money;
                                                               echo "<td class='akdabox'>$part[$i]</td>";
                                                                   echo "<td>$money</td>";
                                                            }
                                                            if($T0==2){
                                                             echo "<td class='rupicon'>$tAmount</td>";   
                                                            }
                                                            echo "</tr>";
                                                            $T0++;
                                                        }
                                                        // echo "<span id='tAmountSO$a'>$tAmount</span>";
                                                    }
                                                ?>
                                                
                                            </tbody>
                                        </table> 
                                    </div>
                                    <div role="tabpanel" class="table-responsive tab-pane fade" id="SingleClose">
                                        <table class="bid_history">
                                            <!--<thead>-->
                                            <!--    <tr>-->
                                            <!--        <th colspan='12'>Singal Patti</th>    -->
                                            <!--    </tr>-->
                                            <!--</thead>-->
                                            <tbody>
                                                
                                                <?php
                                                    for($a=0;$a<10;$a++){
                                                        
                                                        $qry1 =  "SELECT num FROM sp WHERE digit ='$a'";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        $Games = array();
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                        $Games[] = $row1['num'];
                                                        }
                                                        $parts = array_chunk($Games,6);
                                                        $tAmount = 0;
                                                        $T0 = 1;
                                                        echo "<tr><td colspan='12'>Akda : <b>$a</b><span id='AmountSO$a'></span></td></tr>";
                                                        foreach($parts as $part){
                                                            echo "</tr>";
                                                            for($i=0;$i<6;$i++){
                                                                $money = 0;
                                                                $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$part[$i]' and game_id='$child_close' and date='$date' and game_type='single_patti' and type='bid' and starline='0'";
                                                                $res1 = mysqli_query($con,$qry1);
                                                                $singalGames = mysqli_fetch_object($res1);
                                                                $money += $singalGames->money;
                
                                                               $tAmount += $money;
                                                               echo "<td class='akdabox'>$part[$i]</td>";
                                                                   echo "<td>$money</td>";
                                                            }
                                                            if($T0==2){
                                                             echo "<td class='rupicon'>$tAmount</td>";   
                                                            }
                                                            echo "</tr>";
                                                            $T0++;
                                                        }
                                                        // echo "<span id='tAmountSO$a'>$tAmount</span>";
                                                    }
                                                ?>
                                                
                                            </tbody>
                                        </table> 
                                    </div>
                                  </div>
                              </div>
                            </p>
                        </div>
                        
                        
                        <div id="double_patti" class="tab-pane fade">

                            <p>
                              <div class="result">
                                  <ul id="myTabs" class="nav nav-pills nav-justified" role="tablist" data-tabs="tabs">
                                    <li class="active"><a href="#double_patti_Open" data-toggle="tab">Open</a></li>
                                    <li><a href="#double_patti_Close" data-toggle="tab">Close</a></li>
                                  </ul>
                                  <div class="tab-content">
                                    <div role="tabpanel" class=" table-responsive tab-pane fade in active" id="double_patti_Open">
                                        <table class="bid_history">
                                            <!--<thead>-->
                                            <!--    <tr>-->
                                            <!--        <th colspan='14'>Singal Patti</th>    -->
                                            <!--    </tr>-->
                                            <!--</thead>-->
                                            <tbody>
                                                
                                                <?php
                                                
                                                        
                                                    for($a=0;$a<10;$a++){
                                                        
                                                        $qry1 =  "SELECT num FROM dp WHERE digit ='$a'";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        $Games = array();
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                        $Games[] = $row1['num'];
                                                        }
                                                        $parts = array_chunk($Games,6);
                                                        $tAmount = 0;
                                                        $T0 = 1;
                                                        echo "<tr><td colspan='12'>Akda : <b>$a</b><span id='AmountSO$a'></span></td></tr>";
                                                        foreach($parts as $part){
                                                            echo "</tr>";
                                                            for($i=0;$i<6;$i++){
                                                                $money = 0;
                                                                $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$part[$i]' and game_id='$child_open' and date='$date' and game_type='double_patti' and type='bid' and starline='0'";
                                                                $res1 = mysqli_query($con,$qry1);
                                                                $singalGames = mysqli_fetch_object($res1);
                                                                $money += $singalGames->money;
                
                                                               $tAmount += $money;
                                                               echo "<td class='akdabox'>$part[$i]</td>";
                                                                   echo "<td>$money</td>";
                                                            }
                                                            if($T0==2){
                                                             echo "<td class='rupicon'>$tAmount</td>";   
                                                            }
                                                            echo "</tr>";
                                                            $T0++;
                                                        }
                                                        // echo "<span id='tAmountSO$a'>$tAmount</span>";
                                                    }
                                                ?>
                                                
                                            </tbody>
                                        </table> 
                                    </div>
                                    <div role="tabpanel" class="table-responsive tab-pane fade" id="double_patti_Close">
                                        <table class="bid_history">
                                            <!--<thead>-->
                                            <!--    <tr>-->
                                            <!--        <th colspan='12'>Singal Patti</th>    -->
                                            <!--    </tr>-->
                                            <!--</thead>-->
                                            <tbody>
                                                
                                                <?php
                                                    for($a=0;$a<10;$a++){
                                                        
                                                        $qry1 =  "SELECT num FROM dp WHERE digit ='$a'";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        $Games = array();
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                        $Games[] = $row1['num'];
                                                        }
                                                        $parts = array_chunk($Games,6);
                                                        $tAmount = 0;
                                                        $T0 = 1;
                                                        echo "<tr><td colspan='12'>Akda : <b>$a</b><span id='AmountSO$a'></span></td></tr>";
                                                        foreach($parts as $part){
                                                            echo "</tr>";
                                                            for($i=0;$i<6;$i++){
                                                                $money = 0;
                                                                $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$part[$i]' and game_id='$child_close' and date='$date' and game_type='double_patti' and type='bid' and starline='0'";
                                                                $res1 = mysqli_query($con,$qry1);
                                                                $singalGames = mysqli_fetch_object($res1);
                                                                $money += $singalGames->money;
                
                                                               $tAmount += $money;
                                                               echo "<td class='akdabox'>$part[$i]</td>";
                                                                   echo "<td>$money</td>";
                                                            }
                                                            if($T0==2){
                                                             echo "<td class='rupicon'>$tAmount</td>";   
                                                            }
                                                            echo "</tr>";
                                                            $T0++;
                                                        }
                                                        // echo "<span id='tAmountSO$a'>$tAmount</span>";
                                                    }
                                                ?>
                                                
                                            </tbody>
                                        </table> 
                                    </div>
                                  </div>
                              </div>
                            </p>
                        </div>
                        
                        <div id="triple_patti" class="tab-pane fade">

                            <p>
                              <div class="result">
                                  <table class="bid_history">
                                    <thead>
                                        <tr>
                                            <th colspan='11'>Triple Patti</th>    
                                        </tr>
                                    </thead>
                                    <tbody class="evenodd">
                                        <tr>
                                            <td class="rupicon">Open</td>
                                            <?php
                                                $qry1 =  "SELECT num FROM tp";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                    echo '<td>'.$row1['num'].'</td>';
                                                }
                                            ?>
                                        </tr>
                                        <tr>
                                            <td>   
                                                <span class="rupicon">₹</span>
                                            </td>
                                            <?php
                                                $qry2 =  "SELECT num FROM tp";
                                                $res2 = mysqli_query($con,$qry2);
                                                while($row1 = mysqli_fetch_array($res2)){
                                                    $money = 0;
                                                    $num = $row1['num'];
                                                    $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$num' and game_id='$child_open' and date='$date' and game_type='triple_patti' and type='bid' and starline='0'";
                                                            $res1 = mysqli_query($con,$qry1);
                                                            $singalGames = mysqli_fetch_object($res1);
                                                            $money += $singalGames->money;
                                                       echo "<td>$money</td>";
        
                                                }
                                            ?>
                                        </tr>
                                         <tr>
                                            <td class="rupicon">Close</td>
                                            <?php
                                                $qry1 =  "SELECT num FROM tp";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                    echo '<td>'.$row1['num'].'</td>';
                                                }
                                            ?>
                                        </tr>
                                        <tr>
                                            <td>   
                                                <span class="rupicon">₹</span>
                                            </td>
                                            <?php
                                                $qry2 =  "SELECT num FROM tp";
                                                $res2 = mysqli_query($con,$qry2);
                                                while($row1 = mysqli_fetch_array($res2)){
                                                    $money = 0;
                                                    $num = $row1['num'];
                                                    $qry1 =  "SELECT SUM(amount) as money FROM user_transaction where digit='$num' and game_id='$child_close' and date='$date' and game_type='triple_patti' and type='bid' and starline='0'";
                                                            $res1 = mysqli_query($con,$qry1);
                                                            $singalGames = mysqli_fetch_object($res1);
                                                            $money += $singalGames->money;
                                                       echo "<td>$money</td>";
        
                                                }
                                            ?>
                                        </tr>
                                    </tbody>
                                </table>
                             
                              </div>
                            </p>
                        </div>
                        
                        <div id="half_sangam" class="tab-pane fade">

                           <p>
                              <div class="result">
                                        <table class="bid_history">
                                            <thead>
                                                <tr>
                                                    <th colspan='10'>Half Sangam</th>    
                                                </tr>
                                            </thead>
                                            <tbody>
                                                
                                                <?php
                                                
                                                        $qry1 =  "SELECT digit, SUM(amount) as money FROM user_transaction where  game_id='$child_open' and date='$date' and game_type='half_sangam' and type='bid' and starline='0' group by digit";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        $tAmount =0;
                                                        echo "<tr>";
                                                        $count = 1;
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                            $money = $row1['money'];
                
                                                            $tAmount += $money;
                                                            echo "<td class='akdabox'>".$row1['digit']."</td>";
                                                            echo "<td>".$row1['money']."</td>";
                                                            $count++;
                                                            if($count == 6)
                                                            {
                                                                echo "</tr><tr>";
                                                                $count =1;
                                                            }
                                                            
                                                        }
                                                        
                                                       
                                                         
                                                    
                                                ?>
                                                
                                            </tbody>
                                        </table> 
                                        <span id='tAmountSO' style="font-size: 22px;font-weight: 700;">Total Amt: &#8377; <?php echo $tAmount;?></span>
                              </div>
                            </p>
                        </div>
                        
                        <div id="full_sangam" class="tab-pane fade">

                            <p>
                              <div class="result">
                                        <table class="bid_history">
                                            <thead>
                                                <tr>
                                                    <th colspan='10'>Full Sangam</th>    
                                                </tr>
                                            </thead>
                                            <tbody>
                                                
                                                <?php
                                                
                                                        $qry1 =  "SELECT digit, SUM(amount) as money FROM user_transaction where  game_id='$child_open' and date='$date' and game_type='full_sangam' and type='bid' and starline='0' group by digit";
                                                        $res1 = mysqli_query($con,$qry1);
                                                        $tAmount =0;
                                                        echo "<tr>";
                                                        $count = 1;
                                                        while($row1 = mysqli_fetch_array($res1)){
                                                            $money = $row1['money'];
                
                                                            $tAmount += $money;
                                                            echo "<td class='akdabox'>".$row1['digit']."</td>";
                                                            echo "<td>".$row1['money']."</td>";
                                                            $count++;
                                                            if($count == 6)
                                                            {
                                                                echo "</tr><tr>";
                                                                $count =1;
                                                            }
                                                            
                                                        }
                                                        
                                                       
                                                         
                                                    
                                                ?>
                                                
                                            </tbody>
                                        </table> 
                                        <span id='tAmountSO' style="font-size: 22px;font-weight: 700;">Total Amt: &#8377; <?php echo $tAmount;?></span>
                              </div>
                            </p>
                        </div>


                  </div>
                </div>
                
                </div>
                    
                    
                    
                <?php }else{

                $result = mysqli_query($con,"SELECT * FROM `parent_games` WHERE status=1 ");
                $i=0;
                while ($row = mysqli_fetch_array($result)){
                $bg_color = array();
                $bg_color=['primary','red','primary','red','primary','red','primary','red','primary','red','primary','red','primary','red','primary','red','primary','red','primary','red','primary','red','primary','red'];
                ?>
                
                <div class="col-lg-3 col-md-6">
                    <a href="bidding_history_main2.php?date=<?php echo $date;?>&parent_game_id=<?php echo $row['id'];?>">
                    <div class="panel panel-<?php echo $bg_color[$i++];?>">
                        <div class="panel-heading">
                            <div class="row" style="text-align:center;">
                                <div class="col-xs-6">
                                    <span style="background: #008000c7;padding: 5px;border-radius: 5px;"> <?php echo $open_time =  GetParentOpenTime($row['id']);?> </span>
                                </div>
                                <div class="col-xs-6">
                                    <span style="background: red;padding: 5px;border-radius: 5px;"> <?php echo $close_time = GetParentCloseTime($row['id']);?> </span>
                                </div>
                                <div class="col-xs-12 text-right">
                                    <h4 style="margin: 5px;padding: 5px;text-align: center;font-weight: bold;font-size: 20px;"> 
                                    <?php echo $row['name'] ;?>
                                    </h4>
                                    
                                    <?php
                                    $child_open = get_ChildOpen($row['id']);
                                    $child_close = get_ChildClose($row['id']);
                                    $qry ="SELECT  COUNT(*), SUM(amount), SUM(win) FROM user_transaction where date='$date' and (game_id='$child_open' or game_id='$child_close') and type='bid' and starline='0'";
                                    $res1 = mysqli_query($con,$qry);
                                    $bets =0;
                                    $amount =0;
									$win =0;
									$profit =0;
                                    while ($row1 = mysqli_fetch_array($res1)){
                                       $bets += $row1['COUNT(*)'];
                                       $amount += $row1['SUM(amount)'];
									   $win += $row1['SUM(win)'];
									    
                                    }
									$profit = ($amount - $win);
                                    ?>
                                    <div style="text-align:center;">Total Bets: <?php echo $bets;?></div>
                                    <div style="text-align:center;">Amt Played: <?php echo $amount;?></div>
									<div style="text-align:center;">Amt Won: <?php echo $win;?></div>
									<?php if($profit >0){?>
									<div style="text-align:center;color:white">Profit: +<?php echo $profit;?></div>
									<?php }else{?>
									<div style="text-align:center;color:white">Profit: <?php echo $profit;?></div>
									<?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    </a>
                </div>
                
                
                <?php } ?>
                
                <?php } ?>
                
                
                
                
            </div>
            <!-- /.row -->
            

		
<?php
include("footer.php");
?>
    <!-- Morris Charts JavaScript -->
    <script src="../vendor/raphael/raphael.min.js"></script>
    <script src="../vendor/morrisjs/morris.min.js"></script>
    <script src="../data/morris-data.js"></script>