<?php
include("dbconnect.php");
include("functions.php");
include("commen_css.php");
mysqli_set_charset($con, 'utf8');
require_once("functions.php");

// Check if loan ID is provided in the URL
if (isset($_GET['installment_id'])) {
    $installment_id = intval($_GET['installment_id']);

    // Query to fetch loan details along with necessary member details
    $qry_installment = "SELECT installments.*, members.name AS member_name, members.father_name as fname, members.mobile_number, members.email, members.city, members.pincode
                 FROM installments 
                 INNER JOIN members ON installments.member_id = members.id 
                 WHERE installments.id = $installment_id";

    $result_installment = mysqli_query($con, $qry_installment);

    if ($result_installment && mysqli_num_rows($result_installment) > 0) {
        $loan = mysqli_fetch_assoc($result_installment);

?>
<!DOCTYPE html>
<html>
<head>
    <title>Print Installment Receipt</title>
    <script src="assets/js/jquery-1.11.0.min.js"></script>
 <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style type="text/css">
    	
        .new-table td {text-align: left;font-size: 16px;padding-left: 10px;line-height: 30px;}   
        p{font-size: 14px; text-align:left;font-weight:600; margin:5px;text-transform: uppercase;color: var(--primary-color);margin-top: 35px;}
        .fa{color: var(--primary-color);}
        hr{color: #000;}
        .installment-due {
  background-color: #ef4141;
}
.installment-paid {
            background-color: #03560d; /* Greenish for paid installments */
        }
        .installment-due {
            background-color: #ef4141; /* Reddish for due installments */
        }
        .penalty-paid {
            background-color: #03560d; /* Greenish for paid penalties */
        }
        .penalty-due {
            background-color: #ef4141; /* Reddish for due penalties */
        }
        
        .installment-due td {
          color: white;
        }
        
        .installment-paid td {
          color: white;
        }

    </style>
    
    
    <script>
        function printPage() {
            window.print();
        }
    </script>
</head>
<body onload="javascript:window.print();" style="">
    <div id="print-content">
        
        <table class="img-back" style="width:100%; border-collapse:collapse;border: 2px solid #000; margin-top: 10px; page-break-after: always;" border="1" >
            <tr>
                <td style="border-bottom: none;">
                      <table style="width:100%; border-collapse:collapse;margin-top: 5px;" border="0" >
						    <tbody>
						        <tr>
						            
						            <td style="line-height: none !important;">
						            <div style="display: flex;">
						                <div>
						                    <img src="../dist/img/ananda-group-logo.png" style="max-width: 80px;">
						                </div>
						                <div style="margin-top: 3px;margin-left: 10px;">
						                    <div style="font-size: 24px;font-weight: 1000; color: var(--primary-color);font-family: arial;"><?php echo get_systemTitle(); ?></div>
						                    <div style="font-size: 13px;font-weight: 300;"><?php echo get_address(); ?></div>
						                    <div style="font-size: 13px;font-weight: 300;">
						                    <i class="fa fa-envelope"></i>  <?php echo get_emailAddress(); ?> &nbsp; 
						                    <i class="fa fa-whatsapp" aria-hidden="true"></i>  <?php echo get_whatsAppNo(); ?>&nbsp; 
						                    <i class="fa fa-mobile" aria-hidden="true"></i> <?php echo get_phoneNo(); ?> 
						                </div>
						                </div>
						            </div>
						                
						            </td>
						        </tr>
						        
                            </tbody>
					    </table>
					    <hr> 
					    <p style="font-size: 20px;font-weight: 600;text-align: center;text-transform: uppercase;margin-top: 15px;">Payment Receipt</p>
                </td>
            </tr>
               
            <tr>    
                <td style="border-top: none;padding: 10px;">
                    <table style="width:100%; border-collapse:collapse;border: 0px solid #ccc; margin-top: 5px; padding:10px; font-size: 11px;margin-top: 15px;    margin-bottom: 15px;" border="1" class="new-table">
            
                        <tr>
            			    <td><b>Receipt No. : </b> #AGP_<?php echo $loan['id']; ?></td>
            			    <td><b>Loan No. : </b><?php echo $loan['loan_id']; ?></td>
            			</tr>
            			
                        <tr>
            			    <td><b>Name : </b><?php echo $loan['member_name']; ?></td>
            			    <td><b>Father Name : </b><?php echo $loan['fname']; ?></td>
            			</tr>
            
                        <tr>
            			    <td><b>Mobile No : </b><?php echo $loan['mobile_number']; ?></td>
            			    <td><b>Address : </b><?php echo $loan['city'] . " - " . $loan['pincode']; ?></td>
            			    
                        </tr>
                        
                        
                        <tr>
            			    <td><b>Amount : </b><?php echo $loan['installment_amount']; ?></td>
            			    <td><b>Date : </b><?php echo $loan['paid_date']; ?></td>
            			    
                        </tr>
                        
                        
                        <tr>
            			    <td colspan="2"> <img src="../dist/img/Approved.png" style="width: 100px;float: right;margin-top: -60px;margin-right: 20px;margin-bottom: 20px;"></td>
            			    
                        </tr>
            

            
                        
                    </table>
                </td>
                    
            </tr>
            

        </table>

        
       
      
    </div>
</body>
</html>
<?php
    } else {
        echo "<div><div>Loan not found.</div></div>";
    }
} else {
    echo "<div><div>Loan ID not provided.</div></div>";
}
?>

