<?php
include("head.php");
include("header.php");
echo '<div id="log_div">';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $member_id = clean_input($_POST['member_id']);
    $principle_amount = clean_input($_POST['principle_amount']);
    $loan_category = clean_input($_POST['loan_category']);
    $installment_type = clean_input($_POST['installment_type']);
    $interest_type = 'percentage';
    $interest_rate = clean_input($_POST['interest_rate']);
    $total_installments = clean_input($_POST['total_installments']);
    $start_date = clean_input($_POST['start_date']);
    $end_date =  clean_input($_POST['end_date']);
    $remark = clean_input($_POST['remark']);
    $date_created = date('Y-m-d');

    // Calculate interest amount and total amount
    $interest_amount = ($principle_amount * $interest_rate) / 100;
    $total_amount = $principle_amount + $interest_amount;

    // Calculate end date
    

    // Insert loan data into `loans` table
    $qry = "INSERT INTO `loans` (member_id, principle_amount, loan_category, installment_type, interest_type, interest_rate, interest_amount, total_amount, total_installments, late_penalty_flag, late_penalty_charges, total_penalty, due_amount, status, start_date, end_date, date_created, remark)
            VALUES ('$member_id', '$principle_amount', '$loan_category', '$installment_type', '$interest_type', '$interest_rate', '$interest_amount', '$total_amount', '$total_installments', '0', '0', '0', '$total_amount', '1', '$start_date', '$end_date', '$date_created', '$remark')";

    if (mysqli_query($con, $qry)) {
        echo "Loan successfully added.";
    } else {
        echo "Error: " . $qry . "<br>" . mysqli_error($con);
    }

    mysqli_close($con);

    exit;
}
echo '</div>';
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">Add New Loan</h4>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Enter Loan Details
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <?php if (isset($_GET['member_id']) && isset($_GET['loan_category']) && isset($_GET['installment_type'])) {
                                $member_id = clean_input($_GET['member_id']);
                                $loan_category = clean_input($_GET['loan_category']);
                                $installment_type = clean_input($_GET['installment_type']);
                            ?>
                                <form role="form" method="POST" action="loan_add_final_direct.php">
                                    <div class="form-group col-lg-12">
                                        <label>Customer Details</label>
                                        <?php
                                        $qry = "SELECT * FROM `members` WHERE id='$member_id'";
                                        $user_details = mysqli_query($con, $qry);
                                        while ($row = mysqli_fetch_array($user_details)) {
                                            $customer_id = $row['id'];
                                            $name = $row['name'];
                                            $father_name = $row['father_name'];
                                        }
                                        ?>
                                        <p>Name : <b><?php echo $name; ?> - <?php echo $father_name; ?></b> | Loan Type : <b><?php echo get_loanCategoryById($loan_category); ?> - <?php echo $installment_type; ?></b></p>
                                        <input type="hidden" name="member_id" value="<?php echo $customer_id; ?>" required>
                                        <input type="hidden" name="loan_category" value="<?php echo $loan_category; ?>" required>
                                        <input type="hidden" name="installment_type" value="<?php echo $installment_type; ?>" required>
                                        <input type="hidden" name="total_installments" value="0" required>
                                        
                                    </div>

                                    <div style="clear:both;">&nbsp;</div>

                                    <div class="form-group col-lg-3">
                                        <label>Principle Amount</label>
                                        <input class="form-control inputboxChange" name="principle_amount" id="principle_amount" value="0" placeholder="Enter Principle Amount" autocomplete="off" required>
                                    </div>

                                    <div class="form-group col-lg-3">
                                        <label>Interest Rate (%)</label>
                                        <input class="form-control inputboxChange" name="interest_rate" id="interest_rate" value="0" placeholder="Enter Interest Rate" autocomplete="off" required>
                                    </div>

                                    <div class="form-group col-lg-3">
                                        <label>Interest Amount</label>
                                        <input class="form-control inputboxChange" name="interest_amount" id="interest_amount" value="0" placeholder="Interest Amount" autocomplete="off" readonly>
                                    </div>

                                    <div class="form-group col-lg-3">
                                        <label>Total Amount</label>
                                        <input class="form-control inputboxChange" name="total_amount" id="total_amount" value="0" placeholder="Total Amount" autocomplete="off" readonly>
                                    </div>

                                    <div class="form-group col-lg-3">
                                        <label>Start Date</label>
                                        <input class="form-control inputboxChange" name="start_date" id="start_date" value="<?php echo date('Y-m-d'); ?>" type="date" placeholder="yyyy-mm-dd" autocomplete="off" required>
                                    </div>
                                    
                                    <div class="form-group col-lg-3">
                                        <label>End Date</label>
                                        <input class="form-control inputboxChange" name="end_date" id="end_date" value="<?php echo date('Y-m-d'); ?>" type="date" placeholder="yyyy-mm-dd" autocomplete="off" required>
                                    </div>

                                    <div style="clear:both;">&nbsp;</div>

                                    <div class="form-group col-lg-12">
                                        <p>Note: Please check all the details carefully. Loan details cannot be changed later.</p>
                                    </div>

                                    <div style="clear:both;">&nbsp;</div>

                                    <div class="form-group col-lg-12">
                                        <button type="submit" name="add_user" class="btn btn-default">Confirm and Submit</button>
                                    </div>

                                </form>

                            <?php } else {
                                echo 'Invalid request.. Try Again.';
                            } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
$(document).ready(function() {
    function calculateInterestAmount() {
        var principleAmount = parseFloat($('#principle_amount').val()) || 0;
        var interestRate = parseFloat($('#interest_rate').val()) || 0;
        var interestAmount = (principleAmount * interestRate) / 100;
        $('#interest_amount').val(interestAmount.toFixed(2));
    }

    function calculateTotalAmount() {
        var principleAmount = parseFloat($('#principle_amount').val()) || 0;
        var interestAmount = parseFloat($('#interest_amount').val()) || 0;
        var totalAmount = principleAmount + interestAmount;
        $('#total_amount').val(totalAmount.toFixed(2));
    }

    $('.inputboxChange').on('input', function() {
        calculateInterestAmount();
        calculateTotalAmount();
    });

    // Initial calculations on page load
    calculateInterestAmount();
    calculateTotalAmount();
});
</script>

<?php include("footer.php"); ?>
