<?php
include("head.php");
include("header.php");
echo '<div id="log_div">';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $loan_id = clean_input($_POST['loan_id']);
    $remark = clean_input($_POST['remark']);
    $late_penalty_flag = clean_input($_POST['late_penalty_flag']);
    $late_penalty_charges = clean_input($_POST['late_penalty_charges']);
    $status = clean_input($_POST['status']);
    $date_updated = date('Y-m-d');

    // Update loan data in `loans` table
    $qry = "UPDATE `loans` 
            SET remark = '$remark', late_penalty_flag = '$late_penalty_flag', late_penalty_charges = '$late_penalty_charges', status = '$status'
            WHERE id = '$loan_id'";

    if (mysqli_query($con, $qry)) {
        echo "Loan successfully updated.";
    } else {
        echo "Error: " . $qry . "<br>" . mysqli_error($con);
    }

    mysqli_close($con);
    exit;
}

echo '</div>';
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">Edit Loan</h4>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Update Loan Details
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <?php
                            if (isset($_GET['loan_id'])) {
                                $loan_id = clean_input($_GET['loan_id']);
                                $qry = "SELECT * FROM `loans` WHERE id='$loan_id'";
                                $loan_details = mysqli_query($con, $qry);

                                if (mysqli_num_rows($loan_details) > 0) {
                                    $loan = mysqli_fetch_array($loan_details);
                                    $remark = $loan['remark'];
                                    $late_penalty_flag = $loan['late_penalty_flag'];
                                    $late_penalty_charges = $loan['late_penalty_charges'];
                                    $status = $loan['status'];
                            ?>
                                    <form role="form" method="POST" action="loan_edit.php">
                                        <input type="hidden" name="loan_id" value="<?php echo $loan_id; ?>" required>

                                        <div class="form-group col-lg-12">
                                            <label>Remark</label>
                                            <textarea class="form-control" name="remark" rows="3"><?php echo $remark; ?></textarea>
                                        </div>

                                        <div class="form-group col-lg-6">
                                            <label>Late Penalty Flag</label>
                                            <select class="form-control" name="late_penalty_flag">
                                                <option value="1" <?php echo ($late_penalty_flag == 1) ? 'selected' : ''; ?>>Yes</option>
                                                <option value="0" <?php echo ($late_penalty_flag == 0) ? 'selected' : ''; ?>>No</option>
                                            </select>
                                        </div>

                                        <div class="form-group col-lg-6">
                                            <label>Late Penalty Charges</label>
                                            <input class="form-control" name="late_penalty_charges" value="<?php echo $late_penalty_charges; ?>" placeholder="Enter Late Penalty Charges">
                                        </div>

                                        <div class="form-group col-lg-6">
                                            <label>Status</label>
                                            <select class="form-control" name="status">
                                                <option value="0" <?php echo ($status == 0) ? 'selected' : ''; ?>>Inactive</option>
                                                <option value="1" <?php echo ($status == 1) ? 'selected' : ''; ?>>Active</option>
                                                <option value="2" <?php echo ($status == 2) ? 'selected' : ''; ?>>Closed</option>
                                            </select>
                                        </div>

                                        <div style="clear:both;">&nbsp;</div>

                                        <div class="form-group col-lg-12">
                                            <button type="submit" class="btn btn-default">Update Loan</button>
                                        </div>

                                    </form>
                            <?php
                                } else {
                                    echo 'Invalid loan ID. Try Again.';
                                }
                            } else {
                                echo 'No loan ID provided. Try Again.';
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php include("footer.php"); ?>
