<?php
include 'pages/dbconnect.php';

// Get current date and time
$current_date = date('Y-m-d');
$current_date_time = date('Y-m-d H:i:s');

// Fetch overdue installments for loans where late_penalty_flag is 1
$qry_overdue = "
    SELECT installments.*, loans.id AS loan_id, loans.total_penalty, loans.late_penalty_charges
    FROM installments
    JOIN loans ON installments.loan_id = loans.id
    WHERE installments.due_date < '$current_date' 
    AND installments.status = '0' 
    AND loans.late_penalty_flag = '1'
    AND installments.penalty_created = '0'
";
$result_overdue = mysqli_query($con, $qry_overdue);

while ($row = mysqli_fetch_assoc($result_overdue)) {
    $loan_id = $row['loan_id'];
    $installment_id = $row['id'];
    $penalty_amount = $row['late_penalty_charges'];

    // Insert into penalties table
    $insert_penalty = "
        INSERT INTO penalties (loan_id, installment_id, amount, due_date, date_time, status)
        VALUES ('$loan_id', '$installment_id', '$penalty_amount', '$current_date', '$current_date_time', '0')
    ";
    
    if (mysqli_query($con, $insert_penalty)) {
        // Update penalty_created in installments table
        $update_installment = "
            UPDATE installments
            SET penalty_created = '1'
            WHERE id = '$installment_id'
        ";
        mysqli_query($con, $update_installment);
        
        
    } else {
        // Handle insert failure
        echo "Error: " . mysqli_error($con);
    }
}

if(1){
	$log = 'Cron job run happened at '.date('d-m-y h:i:s A').'|';
	$fp = fopen('cron_job_log.txt', 'a');//opens file in append mode  
	fwrite($fp, json_encode($log));  
	fwrite($fp, "\n");  
	fclose($fp); 
	}
?>