<?php
include("head.php");
include("header.php");


if(isset($_GET['mark_paid'])){
    $installment_id = intval($_GET['installment_id']);
    $loan_id = intval($_GET['loan_id']);
    $amount = clean_input($_GET['amount']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    // Start a transaction
    mysqli_begin_transaction($con);

    try {
        // Update installment status
        $qry = "UPDATE installments SET status=1, paid_date='$today_date' WHERE id='$installment_id'";
        if(!mysqli_query($con, $qry)) {
            throw new Exception("Error updating installment: " . mysqli_error($con));
        }

        // Insert into income table
        $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('installment', '$loan_id', '$installment_id', '$amount', 'Installment Payment', '$today_date', '$today_date_time')";
        if(!mysqli_query($con, $insert_income_qry)) {
            throw new Exception("Error inserting into income: " . mysqli_error($con));
        }

        // Update loans table
        $update_loan_qry = "UPDATE loans SET due_amount = due_amount - $amount, paid_amount = paid_amount + $amount WHERE id='$loan_id'";
        if(!mysqli_query($con, $update_loan_qry)) {
            throw new Exception("Error updating loan: " . mysqli_error($con));
        }

        // Commit the transaction
        mysqli_commit($con);

        // Redirect on success
        echo "<script>window.location = 'dashboard.php?success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction on error
        mysqli_rollback($con);
        echo $e->getMessage();
        exit;
    }
}

if(isset($_GET['penalty_mark_paid'])){
    $penalty_id = intval($_GET['penalty_id']);
    $loan_id = intval($_GET['loan_id']);
    $installment_id = intval($_GET['installment_id']);
    $amount = clean_input($_GET['amount']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    // Start a transaction
    mysqli_begin_transaction($con);

    try {
        // Update penalty status
        $qry = "UPDATE penalties SET status=1, date_time='$today_date_time' WHERE id='$penalty_id'";
        if(!mysqli_query($con, $qry)) {
            throw new Exception("Error updating penalty: " . mysqli_error($con));
        }

        // Insert into income table
         $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('penalty', '$loan_id', '$installment_id', '$amount', 'Penalty Payment', '$today_date', '$today_date_time')";
        if(!mysqli_query($con, $insert_income_qry)) {
            throw new Exception("Error inserting into income: " . mysqli_error($con));
        }

        // Update loans table
        $update_loan_qry = "UPDATE loans SET total_penalty = total_penalty + $amount WHERE id='$loan_id'";
        if(!mysqli_query($con, $update_loan_qry)) {
            throw new Exception("Error updating loan: " . mysqli_error($con));
        }

        // Commit the transaction
        mysqli_commit($con);

        // Redirect on success
        echo "<script>window.location = 'dashboard.php?success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction on error
        mysqli_rollback($con);
        echo $e->getMessage();
        exit;
    }
}



if(isset($_GET['date']) && $_GET['date'] !='')
{
    $date = mysqli_real_escape_string($con, $_GET['date']);
}else{
    $date = date('Y-m-d');
}
?>
<style>
.huge {
    font-size: 34px;
}
.fa-5x {
    font-size: 4em;
}
</style>
  <div id="page-wrapper">
      
            <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Dashboard</h1>
                    
                    <?php if(0){?>
                    <form role="form" method="get" action="" >

                                      
                                        <div class="form-group col-lg-4">
                                            <input type="date" class="form-control" name="date"  value="<?php echo $date;?>" autocomplete="off">
										</div>
										
										<div class="form-group col-lg-4">

                                        <button type="submit" name="change_date" class="btn btn-default">Change Date</button>
                                        </div>
										 
										
										<div style="clear:both">&nbsp;</div>
										
                                        
                                        
                                    </form>
                                    <?php } ?>
                </div>

            </div>



    <?php if(1){?>
            <div class="row">
                
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-money fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo number_format(TotalPrinciple());?></div>
                                    <div>Principle Amount</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-yellow">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-users fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo number_format(TotalMember());?></div>
                                    <div>Total Members</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-file fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo number_format(TotalLoans());?></div>
                                    <div>Total Loans</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				
				
				<div class="col-lg-3 col-md-6">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-file-o fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo number_format(ActiveLoans());?></div>
                                    <div>Active Loans</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-money fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo number_format(TodayCollection($date));?></div>
                                    <div>Today Collection</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
				
				
				
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-yellow">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-book fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo number_format(TodayExpense());?></div>
                                    <div>Today Expense</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                
                
            </div>
            <!-- /.row -->
            
			
			<div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <a href="loan_list_active.php" class="home-button-link"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> Active Loans</a>
                                    
                            <a href="loan_add_start.php" class="home-button-link"><i class="fa fa-plus-circle" aria-hidden="true"></i> Create New Loan</a>
                            <a href="income.php" class="home-button-link"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> Income</a>
                            <a href="expense.php" class="home-button-link"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> Expenses</a>
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                   
                </div>
            </div>
            
            
            <div class="row">
    <div class="col-lg-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Today's Pending Installments
            </div>
            <div class="panel-body">
                <table class="table table-bordered table-hover small-font" id="dataTables-example" style="max-width: 100% !important;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Customer Details</th>
                            <th>Amount</th>
                            <th>Due Date</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $i = 1;
                        $qry_installments = "SELECT installments.*, members.name AS member_name, members.father_name, members.mobile_number, members.email, members.city, members.pincode
                            FROM installments
                            JOIN loans ON installments.loan_id = loans.id
                            JOIN members ON loans.member_id = members.id
                            WHERE installments.due_date = '$date' AND installments.status = '0'
                            ORDER BY installments.id;";
                        $result_installments = mysqli_query($con, $qry_installments);
                        while ($row_installment = mysqli_fetch_assoc($result_installments)) {
                            $installment_status = getInstallmentStatus($row_installment['status']);
                            $installment_class = ($row_installment['status'] == 1) ? "installment-paid" : "installment-due";
                        ?>
                            <tr class="<?php echo $installment_class; ?>">
                                <td>#</td>
                                <td><b><?php echo $row_installment['member_name']; ?> - <?php echo $row_installment['father_name']; ?></b> <br> 
                                        <?php echo $row_installment['mobile_number']; ?> - <?php echo $row_installment['city']; ?> <br>
                                        Loan No: <?php echo $row_installment['loan_id'];?> <br>
                                        Installment No: <?php echo $row_installment['id']; ?>
                                </td>
                                <td><?php echo $row_installment['installment_amount']; ?></td>
                                <td><?php echo date('d-m-Y', strtotime($row_installment['due_date'])); ?></td>
                                <td><?php echo $installment_status; ?></td>
                                <td>
                                    <?php if($row_installment['status'] == 0){?>
                                        <a href="?mark_paid&installment_id=<?php echo $row_installment['id']; ?>&loan_id=<?php echo $row_installment['loan_id'];?>&amount=<?php echo $row_installment['installment_amount']; ?>" class="btn btn-danger m-btn" onclick="return confirmAction();">Mark Paid</a>
                                    <?php }?>
                                </td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
             </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                Today's Pending Penalties
            </div>
            <div class="panel-body">
                <table class="table table-bordered table-hover small-font" id="dataTables-example-penalties" style="max-width: 100% !important;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Customer Details</th>
                            <th>Penalty Amount</th>
                            <th>Due Date</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $j = 1;
                        $qry_penalties = "SELECT penalties.*, members.name AS member_name, members.father_name, members.mobile_number, members.email, members.city, members.pincode, installments.id AS installment_id, installments.due_date AS installment_due_date, installments.installment_amount AS mahi_installment_amount
                            FROM penalties
                            JOIN installments ON penalties.installment_id = installments.id
                            JOIN loans ON penalties.loan_id = loans.id
                            JOIN members ON loans.member_id = members.id
                            WHERE penalties.due_date = '$date' AND penalties.status = '0'
                            ORDER BY penalties.id;";
                        $result_penalties = mysqli_query($con, $qry_penalties);
                        while ($row_penalty = mysqli_fetch_assoc($result_penalties)) {
                            $penalty_status = getPenaltyStatus($row_penalty['status']);
                            $penalty_class = ($row_penalty['status'] == 1) ? "penalty-paid" : "penalty-due";
                        ?>
                            <tr class="<?php echo $penalty_class; ?>">
                                <td>#</td>
                                <td><b><?php echo $row_penalty['member_name']; ?> - <?php echo $row_penalty['father_name']; ?></b> <br> 
                                        <?php echo $row_penalty['mobile_number']; ?> - <?php echo $row_penalty['city']; ?> <br>
                                        Loan No: <?php echo $row_penalty['loan_id'];?> <br>
                                        Penalty No: <?php echo $row_penalty['id']; ?> <br>
                                        (Installment Details : <?php echo $row_penalty['installment_due_date'];?> - <?php echo $row_penalty['mahi_installment_amount'];?> )
                                </td>
                                <td><?php echo $row_penalty['amount']; ?></td>
                                <td><?php echo date('d-m-Y', strtotime($row_penalty['due_date'])); ?></td>
                                <td><?php echo $penalty_status; ?></td>
                                <td>
                                    <?php if($row_penalty['status'] == 0){?>
                                        <a href="?penalty_mark_paid&penalty_id=<?php echo $row_penalty['id']; ?>&loan_id=<?php echo $row_penalty['loan_id'];?>&installment_id=<?php echo $row_penalty['installment_id']; ?>&amount=<?php echo $row_penalty['amount']; ?>" class="btn btn-danger m-btn" onclick="return confirmAction();">Mark Paid</a>
                                    <?php }?>
                                </td>
                            </tr>
                        <?php } ?>

                    </tbody>
                </table>
             </div>
        </div>
    </div>
</div>
            
            
            
            
            <?php } ?>
			
            <?php if(0){?>
            <div class="row">
                <div class="col-lg-8">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <i class="fa fa-bar-chart-o fa-fw"></i> Visitors
                            <div class="pull-right">
                                
                            </div>
                        </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body">
                            <canvas id="areaChart" style="height:250px;width: 100%;"></canvas>
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                   
                </div>
                <!-- /.col-lg-8 -->
                <div class="col-lg-4">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <i class="fa fa-bar-chart-o fa-fw"></i> Gender
                        </div>
                        <div class="panel-body">
                            <canvas id="pieChart" style="height:250px;width: 100%;"></canvas>
                            
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                  
                </div>
                <!-- /.col-lg-4 -->
            </div>

            <!-- /.row -->
            <?php } ?>

		
<?php
$export_in_datatable =1;
include("footer.php");
?>
