<?php

function getInstallmentStatus($status) {
    return ($status == 1) ? "Paid" : "Due";
}

function getPenaltyStatus($status) {
    return ($status == 1) ? "Paid" : "Due";
}

function TotalPrinciple(){
    global $con;
	$sql = "SELECT sum(principle_amount) as TotalPrinciple FROM loans";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->TotalPrinciple;
}


function clean_input($data) {
        return htmlspecialchars(stripslashes(trim($data)));
    }

function TotalMember() {
    global $con; 
	$sql = "SELECT count(*) as num from members WHERE 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
    return $value->num;
	}
	
function TotalLoans() {
    global $con; 
	$sql = "SELECT count(*) as num from loans WHERE 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
    return $value->num;
	}
	
function ActiveLoans() {
    global $con; 
	$sql = "SELECT count(*) as num from loans WHERE status ='1' ";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
    return $value->num;
	}
	
function FinishedLoans() {
    global $con; 
	$sql = "SELECT count(*) as num from loans WHERE status ='2' ";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
    return $value->num;
	}
	
	
	

function allUserBalance1() {
    global $con;
	$sql = "SELECT sum(balance) as all_user_balance FROM users";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->all_user_balance;
	}
	
function TodayCollection($date) {
    global $con;
	$sql = "SELECT sum(amount) as collection FROM income WHERE date='$date'";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->collection;
	}
	
function TodayExpense($date) { 
    global $con;
	$sql = "SELECT sum(amount) as expense_sum FROM expense WHERE date='$date'";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->expense_sum;
	}
	
	
function get_loanCategoryById($id) {
    global $con;
	$sql = "SELECT name FROM loan_categories WHERE id='$id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->name;
	}

function get_userNameById($user_id) {
    global $con;
	$sql = "SELECT name FROM users WHERE id='$user_id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->name;
	}
	
function get_account_holderNameById($user_id) {
    global $con;
	$sql = "SELECT account_holder_name FROM users WHERE id='$user_id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->account_holder_name;
	}
	
function get_userMobileById($user_id) {
    global $con;
	$sql = "SELECT mobile FROM users WHERE id='$user_id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->mobile;
	}
	
	
function get_userDevice_infoById($user_id) {
    global $con;
	$sql = "SELECT device_info FROM users WHERE id='$user_id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->device_info;
	}

function get_userDeviceTokenById($user_id) {
    global $con;
	$sql = "SELECT device_token FROM users WHERE id='$user_id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->device_token;
	}
	
function get_userDeviceIDById($user_id) {
    global $con;
	$sql = "SELECT device_id FROM users WHERE id='$user_id' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->device_id;
	}


function generateRandomString($length = 16) {
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}

function randomOTP($length) {
			$random= "";
			srand((double)microtime()*1000000);
			$data = "123456789";
			
			for($i = 0; $i < $length; $i++) {
				$random .= substr($data, (rand()%(strlen($data))), 1);
			}
			return $random;
		}
		
function sendRequest($param){
			$url = $param['url'];
			$postData = $param['postData'];

			$ch = curl_init();
			curl_setopt_array($ch, array(
			    CURLOPT_URL => $url,
			    CURLOPT_RETURNTRANSFER => true,
			    CURLOPT_POST => true,
			    CURLOPT_POSTFIELDS => $postData
			    //,CURLOPT_FOLLOWLOCATION => true
			));

			//Ignore SSL certificate verification
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);

			//get response
			$output = curl_exec($ch);

			//Print error if any
			if(curl_errno($ch)) {
			    return curl_error($ch);
			}
			curl_close($ch);
			return $output;
		}
		
	function get_systemTitle() {
    global $con;
	$sql = "SELECT descriptions FROM settings WHERE name = 'header' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->descriptions;
	}
	
function get_address() {
    global $con;
	$sql = "SELECT descriptions FROM settings WHERE name = 'address' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->descriptions;
	}
	
function get_emailAddress() {
    global $con;
	$sql = "SELECT descriptions FROM settings WHERE name = 'email' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->descriptions;
	}

function get_whatsAppNo() {
    global $con;
	$sql = "SELECT descriptions FROM settings WHERE name = 'app_whatsapp' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->descriptions;
	}
	
function get_website() {
    global $con;
	$sql = "SELECT descriptions FROM settings WHERE name = 'website' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->descriptions;
	}

function get_phoneNo() {
    global $con;
	$sql = "SELECT descriptions FROM settings WHERE name = 'app_phone' limit 1";
	$result = mysqli_query($con, $sql);
	$value = mysqli_fetch_object($result);
	return $value->descriptions;
	}
?>
