<?php
include("head.php");
include("header.php");

if (isset($_GET['del_id'])) {
    $id = clean_input($_GET['del_id']); 
    $qry = "DELETE FROM `loans` WHERE id='$id'";
    mysqli_query($con, $qry);
    mysqli_close($con);
    echo "<script>window.location = 'loan_list_finished.php?success_alert2';</script>";
}
?>
<style>
    table td {
        font-size: 12px;
    }
    table th {
        font-size: 12px;
        font-weight: bold;
    }
    .m-btn {
        display: inline-block;
        font-size: 10px;
        padding: 5px;
        margin: 5px;
    }
</style>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">Finished Loans</h4>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    List of Finished Loans
                </div>
                <div class="panel-body">
                    <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Id</th>
                                <th>Member Name</th>
                                <th>Loan Amount</th>
                                <th>Interest Rate</th>
                                <th>Loan Start Date</th>
                                <th>Loan End Date</th>
                                <th>Paid Amount</th>
                                <th>Due Amount</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php 
                            $qry = "SELECT l.id AS loan_id, l.principle_amount, l.total_amount, l.interest_rate, l.installment_type, l.start_date, l.end_date, l.paid_amount, l.due_amount, l.status, 
                                       l.date_created AS loan_date_created, m.id AS member_id, m.name AS member_name, m.father_name, m.mobile_number 
                                FROM loans l 
                                LEFT JOIN members m ON l.member_id = m.id 
                                WHERE l.status = 2 
                                ORDER BY l.id DESC;"; 
                            $result = mysqli_query($con, $qry);
                            $count = 1;
                            while($row = mysqli_fetch_array($result)){
                            ?>
                            <tr class="gradeA">
                                <td class="center">#</td>
                                <td class="center"><?php echo $row['loan_id']; ?> <br> <?php echo $row['installment_type'];?></td>
                                <td class="center"><a href="member_details.php?id=<?php echo $row['member_id']; ?>"><?php echo $row['member_name']; ?></a></td>
                                <td class="center"><?php echo $row['total_amount']; ?></td>
                                <td class="center"><?php echo $row['interest_rate']; ?>%</td>
                                <td class="center"><?php echo date('d-m-Y', strtotime($row['start_date'])); ?></td>
                                <td class="center"><?php echo date('d-m-Y', strtotime($row['end_date'])); ?></td>
                                <td class="center"><?php echo $row['paid_amount']; ?></td>
                                <td class="center"><?php echo $row['due_amount']; ?></td>
                                <td>
                                    <div style="">
                                       <?php if($row['installment_type'] == 'direct'){?>
                                        <a href="loan_details_print_direct.php?id=<?php echo $row['loan_id']; ?>" class="btn btn-danger m-btn">Print</a> &nbsp;
                                        <a href="loan_details.php?id=<?php echo $row['loan_id']; ?>" class="btn btn-warning m-btn">Details</a> &nbsp;
                                        <?php }else{ ?>
                                        <a href="loan_details_print.php?id=<?php echo $row['loan_id']; ?>" class="btn btn-danger m-btn">Print</a> &nbsp;
                                        <a href="loan_details.php?id=<?php echo $row['loan_id']; ?>" class="btn btn-warning m-btn">Details</a> &nbsp;
                                        <?php } ?>
                                        
                                    </div>
                                </td>
                            </tr>
                            <?php 
                                $count++;
                            } 
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
include("footer.php");
?>
